﻿################################################################################
## Initialization
################################################################################

init offset = -1

init 5:
    style phone_message_vbox:
        xalign 0.5
        yalign 0
        ypos 380
        xsize 360
        xoffset -40

    style phone_message_frame:
        background Solid("#d9398c")
        ypadding 10
        xpadding 10

    style phone_message_frame2:
        background Solid("#0693c9")
        ypadding 10
        xpadding 10

    style phone_message_contents:
        spacing 10

    style phone_message is say_dialogue:
        xoffset 0
        outlines []
        xalign 1
        yalign 0

    style phone_message2 is say_dialogue:
        xoffset 0
        outlines []
        xalign 1
        yalign 0


    style phone_message_who is phone_message:
        color "#ecf0f1"
        size 25

    style phone_message_what is phone_message:
        color "#ffffff"
        size 24
    style phone_reply is default:
        size 18
        xalign 0.5
        xsize 475
        background Solid("#666")
        hover_background Solid("#0693c9")
        ypadding 10
        xpadding 10


screen phone_message(who, what):
    vbox at incoming_message:
        style_group "phone_message"
        add "other/bubble-tip.png" at phone_message_bubble_tip

        frame:
            style_group "phone_message"

            vbox:
                style "phone_message_contents"
                text who style "phone_message_who"
                text what style "phone_message_what"

screen phone_message2(who, what):
    vbox at incoming_message:
        style_group "phone_message"
        xoffset -584
        xalign 1.0
        # this one adds the triangular tip for the bubble, if you change colors you change this images too
        add "other/bubble-tip3.png" at phone_message_bubble_tip2

        frame:
            style_group "phone_message2"
            background Solid("#0693c9")
            xsize 200

            vbox:
                style "phone_message_contents"
                text who style "phone_message_who"
                text what style "phone_message_what"

screen phone_message3(what):
    vbox at incoming_message:
        style_group "phone_message"
        xoffset -584
        xalign 1.0
        # this one adds the triangular tip for the bubble, if you change colors you change this images too
        add "other/bubble-tip3.png" at phone_message_bubble_tip2

        frame:
            style_group "phone_message2"
            background Solid("#0693c9")
            xsize 200

            vbox:
                style "phone_message_contents"
                ##text who style "phone_message_who"
                text what style "phone_message_what"

screen phone_reply(reply1, label1, reply2, label2):
    modal True
    vbox:
        xalign 0.5
        yalign 0.8
        spacing 5

        textbutton "[reply1]" action Jump(label1) style "phone_reply"
        textbutton "[reply2]" action Jump(label2) style "phone_reply"

# here is a new menu that has more options than two
# basically i just added one more textbutton here, and the additional labels needed in the call
# if you wish to make a menu with one or four just copy the code below and modify it a bit
screen phone_reply3(reply1, label1, reply2, label2, reply3, label3,):
    modal True
    vbox:
        xalign 0.5
        yalign 0.8
        spacing 5

        textbutton "[reply1]" action Jump(label1) style "phone_reply"
        textbutton "[reply2]" action Jump(label2) style "phone_reply"
        textbutton "[reply3]" action Jump(label3) style "phone_reply"


style phone_reply_text:
    xalign 0.5

screen phone_message_image(who, what, img):
    vbox at incoming_message:
        style_group "phone_message"
        # this one adds the triangular tip for the bubble, if you change colors you change this images too
        add "other/bubble-tip.png" at phone_message_bubble_tip

        frame:
            style_group "phone_message"

            vbox:
                style "phone_message_contents"
                add img
                text what style "phone_message_what"




################################################################################
## Styles
################################################################################

style default:
    properties gui.text_properties()
    language gui.language

style input:
    properties gui.text_properties("input", accent=True)
    adjust_spacing False

style hyperlink_text:
    properties gui.text_properties("hyperlink", accent=True)
    hover_underline True

style gui_text:
    properties gui.text_properties("interface")


style button:
    properties gui.button_properties("button")

style button_text is gui_text:
    properties gui.text_properties("button")
    yalign 0.5


style label_text is gui_text:
    properties gui.text_properties("label", accent=True)

style prompt_text is gui_text:
    properties gui.text_properties("prompt")


style bar:
    ysize gui.bar_size
    left_bar Frame("gui/bar/left.png", gui.bar_borders, tile=gui.bar_tile)
    right_bar Frame("gui/bar/right.png", gui.bar_borders, tile=gui.bar_tile)

style vbar:
    xsize gui.bar_size
    top_bar Frame("gui/bar/top.png", gui.vbar_borders, tile=gui.bar_tile)
    bottom_bar Frame("gui/bar/bottom.png", gui.vbar_borders, tile=gui.bar_tile)

style scrollbar:
    ysize gui.scrollbar_size
    base_bar Frame("gui/scrollbar/horizontal_[prefix_]bar.png", gui.scrollbar_borders, tile=gui.scrollbar_tile)
    thumb Frame("gui/scrollbar/horizontal_[prefix_]thumb.png", gui.scrollbar_borders, tile=gui.scrollbar_tile)

style vscrollbar:
    xsize gui.scrollbar_size
    base_bar Frame("gui/scrollbar/vertical_[prefix_]bar.png", gui.vscrollbar_borders, tile=gui.scrollbar_tile)
    thumb Frame("gui/scrollbar/vertical_[prefix_]thumb.png", gui.vscrollbar_borders, tile=gui.scrollbar_tile)

style slider:
    ysize gui.slider_size
    base_bar Frame("gui/slider/horizontal_[prefix_]bar.png", gui.slider_borders, tile=gui.slider_tile)
    thumb "gui/slider/horizontal_[prefix_]thumb.png"

style vslider:
    xsize gui.slider_size
    base_bar Frame("gui/slider/vertical_[prefix_]bar.png", gui.vslider_borders, tile=gui.slider_tile)
    thumb "gui/slider/vertical_[prefix_]thumb.png"


style frame:
    padding gui.frame_borders.padding
    background Frame("gui/frame.png", gui.frame_borders, tile=gui.frame_tile)



################################################################################
## In-game screens
################################################################################


## Say screen ##################################################################
##
## The say screen is used to display dialogue to the player. It takes two
## parameters, who and what, which are the name of the speaking character and
## the text to be displayed, respectively. (The who parameter can be None if no
## name is given.)
##
## This screen must create a text displayable with id "what", as Ren'Py uses
## this to manage text display. It can also create displayables with id "who"
## and id "window" to apply style properties.
##
## https://www.renpy.org/doc/html/screen_special.html#say

screen say(who, what):
    style_prefix "say"
    #$ l_alpha = 1 - persistent.textbox_transparency

    window:
        id "window"

        background Transform(style.window.background, alpha = 1 - persistent.textbox_transparency, xalign=0.5)
        if who is not None:

            window:
                id "namebox"
                style "namebox"
                text who id "who"


        text what id "what"


    ## If there's a side image, display it above the text. Do not display on the
    ## phone variant - there's no room.
    if not renpy.variant("small"):
        add SideImage() xalign 0.0 yalign 1.0


## Make the namebox available for styling through the Character object.
init python:
    config.character_id_prefixes.append('namebox')

style window is default
style say_label is default
style say_dialogue is default
style say_thought is say_dialogue




style namebox is default
style namebox_label is say_label


style window:
    xalign 0.5
    xfill True
    yalign gui.textbox_yalign
    ysize gui.textbox_height

    background Image("gui/textbox.png", xalign=0.5, yalign=1.0)

style namebox:
    xpos gui.name_xpos
    xanchor gui.name_xalign
    xsize gui.namebox_width
    ypos gui.name_ypos
    ysize gui.namebox_height

    background Frame("gui/namebox.png", gui.namebox_borders, tile=gui.namebox_tile, xalign=gui.name_xalign)
    padding gui.namebox_borders.padding

style say_label:
    properties gui.text_properties("name", accent=True)
    xalign gui.name_xalign
    yalign 0.5

style say_dialogue:
    properties gui.text_properties("dialogue")
    outlines [ ( 2.5, "#030303", 1, 1) ]
    xpos gui.dialogue_xpos
    xsize gui.dialogue_width
    ypos gui.dialogue_ypos


## Input screen ################################################################
##
## This screen is used to display renpy.input. The prompt parameter is used to
## pass a text prompt in.
##
## This screen must create an input displayable with id "input" to accept the
## various input parameters.
##
## https://www.renpy.org/doc/html/screen_special.html#input

screen input(prompt):
    style_prefix "input"

    window:

        vbox:
            xalign gui.dialogue_text_xalign
            xpos gui.dialogue_xpos
            xsize gui.dialogue_width
            ypos gui.dialogue_ypos

            text prompt style "input_prompt"
            input id "input"

style input_prompt is default

style input_prompt:
    xalign gui.dialogue_text_xalign
    properties gui.text_properties("input_prompt")

style input:
    xalign gui.dialogue_text_xalign
    xmaximum gui.dialogue_width


## Choice screen ###############################################################
##
## This screen is used to display the in-game choices presented by the menu
## statement. The one parameter, items, is a list of objects, each with caption
## and action fields.
##
## https://www.renpy.org/doc/html/screen_special.html#choice

#screen choice(items):
    #style_prefix "choice"

    #vbox:
        #for i in items:
            #textbutton i.caption action i.action

screen choice(items):
    style_prefix "choice"

    vbox:
        at fromRight
        for i in items:
            if not i.kwargs or i.kwargs.get( "enable" ) is True:
                textbutton i.caption action i.action
            else:
                textbutton i.caption action NullAction() sensitive False


## When this is true, menu captions will be spoken by the narrator. When false,
## menu captions will be displayed as empty buttons.
define config.narrator_menu = True


style choice_vbox is vbox
style choice_button is button
style choice_button_text is button_text



style choice_vbox:


    ypos 600
    xpos 950

    spacing gui.choice_spacing

        if renpy.variant("mobile"):

        ypos 900
        xpos 900

style choice_button is default:
    properties gui.button_properties("choice_button")
    hover_sound "audio/sounds/clickhover.mp3"
    activate_sound "audio/sounds/clickhover1.mp3"

style choice_button_text is default:
    properties gui.button_text_properties("choice_button")




## Quick Menu screen ###########################################################
##
## The quick menu is displayed in-game to provide easy access to the out-of-game
## menus.

default show_quick_menu = True

screen quick_menu():

    ## Ensure this appears on top of other screens.
    zorder 100

    if persistent.quick_menu and show_quick_menu:

        hbox:
            style_prefix "quick"

            xalign 0.5
            yalign 1.0


            textbutton _("Back") action Rollback()
            textbutton _("History") action ShowMenu('history')
            textbutton _("Skip") action Skip() alternate Skip(fast=True, confirm=True)
            textbutton _("Auto") action Preference("auto-forward", "toggle")
            textbutton _("Save") action ShowMenu('save')
            textbutton _("Q.Save") action QuickSave()
            textbutton _("Q.Load") action QuickLoad()
            textbutton _("Prefs") action ShowMenu('preferences')


## This code ensures that the quick_menu screen is displayed in-game, whenever
## the player has not explicitly hidden the interface.
init python:
    config.overlay_screens.append("quick_menu")

default quick_menu = True

style quick_button is default
style quick_button_text is button_text

style quick_button:
    properties gui.button_properties("quick_button")

style quick_button_text:
    properties gui.button_text_properties("quick_button")


################################################################################
## Main and Game Menu Screens
################################################################################

## Navigation screen ###########################################################
##
## This screen is included in the main and game menus, and provides navigation
## to other menus, and to start the game.

screen navigation():

    vbox:
        style_prefix "navigation"

        xpos gui.navigation_xpos
        yalign 0.5

        spacing gui.navigation_spacing

        #if main_menu:



            #textbutton _("Start") action Start()

        #else:

            #textbutton _("History") action ShowMenu("history")

            #textbutton _("Save") action ShowMenu("save")

        #textbutton _("Load") action ShowMenu("load")

        #textbutton _("Preferences") action ShowMenu("preferences")

        if _in_replay:

            imagebutton auto "images/Other/endreplay_%s.png":
                #xalign .5
                action EndReplay(confirm=True)
                hover_sound "audio/sounds/clickhover.mp3"
                activate_sound "audio/sounds/clickhover1.mp3"

            #textbutton _("End Replay") action EndReplay(confirm=True)

        #elif not main_menu:

            #textbutton _("Main Menu") action MainMenu()

        #textbutton _("About") action ShowMenu("about")

        #if renpy.variant("pc") or (renpy.variant("web") and not renpy.variant("mobile")):

            ## Help isn't necessary or relevant to mobile devices.
            #textbutton _("Help") action ShowMenu("help")

        #if renpy.variant("pc"):

            ## The quit button is banned on iOS and unnecessary on Android and
            ## Web.
            #textbutton _("Quit") action Quit(confirm=not main_menu)


style navigation_button is gui_button
style navigation_button_text is gui_button_text

style navigation_button:
    size_group "navigation"
    properties gui.button_properties("navigation_button")

style navigation_button_text:
    xalign 0.5
    properties gui.button_text_properties("navigation_button")


## Main Menu screen ############################################################
##
## Used to display the main menu when Ren'Py starts.
##
## https://www.renpy.org/doc/html/screen_special.html#main-menu

screen main_menu():

    ## This ensures that any other menu screen is replaced.
    tag menu

    style_prefix "main_menu"

    add gui.main_menu_background

    ## This empty frame darkens the main menu.
    frame:
        pass

    ## The use statement includes another screen inside this one. The actual
    ## contents of the main menu are in the navigation screen.
    use navigation

    if gui.show_name:

        vbox:

            text "[config.name!t]":
                style "main_menu_title"

            text "[config.version]":
                style "main_menu_version"


    imagebutton:
            pos (962, 655, 99, 47)
            xalign 0.5
            focus_mask True
            idle "other/mmbuttons_starta_rm.png"
            hover "other/mmbuttons_startb_rm1.png"
            action Start()
            hovered [ Play ("sound", "audio/sounds/clickhover.mp3") ]
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Start new game.")

    imagebutton:
            pos (962, 720, 99, 47)
            xalign 0.5
            focus_mask True
            idle "other/mmbuttons_Loada_rm.png"
            hover "other/mmbuttons_LoadB_rm1.png"
            action ShowMenu("load")
            hovered [ Play ("sound", "audio/sounds/clickhover.mp3") ]
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Load game.")

    imagebutton:
            pos (962, 785, 99, 47)
            xalign 0.5
            focus_mask True
            idle "other/mmbuttons_OptionsA_RM.png"
            hover "other/mmbuttons_OptionsC_RM1.png"
            action ShowMenu("preferences")
            hovered [ Play ("sound", "audio/sounds/clickhover.mp3") ]
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Options.")
    imagebutton:
            pos (962, 850, 99, 47)
            xalign 0.5
            focus_mask True
            idle "gallery/MMButtons_GalleryA_rm.png"
            hover "gallery/MMButtons_GalleryB_rm1.png"
            action ShowMenu("gallery")
            hovered [ Play ("sound", "audio/sounds/clickhover.mp3") ]
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Gallery.")
    imagebutton:
            pos (962, 915, 99, 47)
            xalign 0.5
            focus_mask True
            idle "other/mmbuttons_HelpA_RM.png"
            hover "other/mmbuttons_HelpB_RM1.png"
            action ShowMenu("help")
            hovered [ Play ("sound", "audio/sounds/clickhover.mp3") ]
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Help.")
    imagebutton:
            pos (962, 980, 99, 47)
            xalign 0.5
            focus_mask True
            idle "other/mmbuttons_QuitA_RM.png"
            hover "other/mmbuttons_QuitB_RM1.png"
            action Quit(confirm=not main_menu)
            hovered [ Play ("sound", "audio/sounds/clickhover.mp3") ]
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Quit game.")
    imagebutton:
            pos (1775, 20, 99, 47)
            #xalign 0.9
            focus_mask True
            idle "other/PatA.png"
            hover "other/PatB.png"
            action ShowMenu("patreonlink")
            hovered [ Play ("sound", "audio/sounds/clickhover.mp3") ]
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Visit the Patreon page.")
    imagebutton:
            pos (962, 1040, 99, 47)
            xalign 0.5
            focus_mask True
            idle "other/Version_0.2_beta.png"
            hover "other/Version_0.2_beta.png"
            hovered [ Play ("sound", "audio/sounds/clickhover.mp3") ]
            activate_sound "audio/sounds/clickhover1.mp3"
    imagebutton:
            pos (1775, 150, 99, 47)
            #xalign 0.5
            focus_mask True
            idle "other/ssA.png"
            hover "other/ssB.png"
            action ShowMenu("subscribestarlink")
            hovered [ Play ("sound", "audio/sounds/clickhover.mp3") ]
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Visit the Subscribe Star page.")
    imagebutton:
            pos (1775, 280, 99, 47)
            #xalign 0.5
            focus_mask True
            idle "other/discordA.png"
            hover "other/discordB.png"
            action ShowMenu("discordlink")
            hovered [ Play ("sound", "audio/sounds/clickhover.mp3") ]
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Join the Discord server.")



style main_menu_frame is empty
style main_menu_vbox is vbox
style main_menu_text is gui_text
style main_menu_title is main_menu_text
style main_menu_version is main_menu_text

style main_menu_frame:
    xsize 800
    yfill True
    xfill True
    # background "gui/overlay/main_menu.png"


style main_menu_vbox:
    xalign 1.0
    xoffset -1590
    xmaximum 1200
    yalign 1.0
    yoffset -30

style main_menu_text:
    properties gui.text_properties("main_menu", accent=True)
    xalign .5

style main_menu_title:
    properties gui.text_properties("title")

style main_menu_version:
    properties gui.text_properties("version")


## Game Menu screen ############################################################
##
## This lays out the basic common structure of a game menu screen. It's called
## with the screen title, and displays the background, title, and navigation.
##
## The scroll parameter can be None, or one of "viewport" or "vpgrid". When
## this screen is intended to be used with one or more children, which are
## transcluded (placed) inside it.

screen game_menu(title, scroll=None, yinitial=0.0, fromPhone=None, fromPhoneHide=None):

    style_prefix "game_menu"

#----- Comment the next four lines out if you don't want the main menu animations to play in the background of load, save, options screens.

    #if main_menu:
        #add gui.main_menu_background
    #else:
        #add gui.game_menu_background


    #add "gui/Menu_screens/prefs-overlayALT2.png"
    #add "gui/Menu_screens/title_credits.png"
    #add "gui/Menu_screens/prefs-overlay_buttons.png"


    frame:
        style "game_menu_outer_frame"

        hbox:

            ## Reserve space for the navigation section.
            frame:
                style "game_menu_navigation_frame"

            frame:
                style "game_menu_content_frame"

                if scroll == "viewport":

                    viewport:
                        yinitial yinitial
                        scrollbars "vertical"
                        mousewheel True
                        draggable True
                        pagekeys True

                        side_yfill True

                        vbox:
                            transclude

                elif scroll == "vpgrid":

                    vpgrid:
                        cols 1
                        yinitial yinitial

                        scrollbars "vertical"
                        mousewheel True
                        draggable True
                        pagekeys True

                        side_yfill True

                        transclude

                else:

                    transclude

    use navigation

    textbutton _("Return"):
        style "return_button"

        action If(fromPhone is None,Return(),[ Hide(fromPhoneHide), ShowMenu(fromPhone), Play("sound","audio/sounds/phone_unlock.mp3") ])

    label title

    if main_menu:
        key "game_menu" action ShowMenu("main_menu")


style game_menu_outer_frame is empty
style game_menu_navigation_frame is empty
style game_menu_content_frame is empty
style game_menu_viewport is gui_viewport
style game_menu_side is gui_side
style game_menu_scrollbar is gui_vscrollbar

style game_menu_label is gui_label
style game_menu_label_text is gui_label_text

style return_button is navigation_button
style return_button_text is navigation_button_text

style game_menu_outer_frame:
    bottom_padding 45
    top_padding 180

    #background "gui/overlay/game_menu.png"

style game_menu_navigation_frame:
    xsize 420
    yfill True

style game_menu_content_frame:
    left_margin 60
    right_margin 30
    top_margin 15

style game_menu_viewport:
    xsize 1380

style game_menu_vscrollbar:
    unscrollable gui.unscrollable

style game_menu_side:
    spacing 15

style game_menu_label:
    xpos 75
    ysize 180

style game_menu_label_text:
    size gui.title_text_size
    color gui.accent_color
    yalign 0.5

style return_button:
    xpos gui.navigation_xpos
    yalign 1.0
    yoffset -45


## About screen ################################################################
##
## This screen gives credit and copyright information about the game and Ren'Py.
##
## There's nothing special about this screen, and hence it also serves as an
## example of how to make a custom screen.

screen about():
    default t = "" # Used to build up text elements

    tag menu
    add "gui/Menu_screens/prefs-overlayALT2.png"
    add "gui/Menu_screens/title_credits.png"
    add "gui/Menu_screens/prefs-overlay_buttons.png"
    ## This use statement includes the game_menu screen inside this one. The
    ## vbox child is then included inside the viewport inside the game_menu
    ## screen.
    use game_menu(_("About"), scroll="viewport"):


        style_prefix "about"

        vbox xpos 0.02 xsize 0.96:

            label "[config.name!t]"
            text _("Version [config.version!t]")
            text _("Created by {color=#42c2f5}Jestur{/color}")
            text _(" ")
            text _(" ")
            text _("{color=#42c2f5}Huge Thanks to my all of my patrons! You guys are the best!  ")

            text _(" ")
            text _("{color=#42c2f5}Thanks to my {b}Proofreaders and Testers!{/b}{/color}  ")
            text _("Thor's Hamster, Licky Slime, Degrs, Trumbo, KatanaVN, pitr1k, BGshitsu, and KageAfJörmungandr")
            text _(" ")
            text _("{color=#42c2f5}Also a huge thanks to:{/color} !")
            text _("-My discord mods {b}Licky Slime and Archer!{/b} You guys are the best! And everyone else that is active in my Discord and giving me someone")
            text _(" to talk to online once in a while. It means a lot to me! ")
            text _("-All the modders and devs who helped make this visual novel possible! ")
            text _(" ")
            text _(" ")
            text _(" ")
            text _("This visual novel is 100% free and always will be free. If you paid any money for it, you are being scammed.")
            text _("On the other hand, donations are always welcome if you would like to support this visual novel project.")
            text _("If you would like to show your support, visit my Patreon and get exclusive perks.")


            text _("\nPatreon: {a=https://www.patreon.com/jestur}https://patreon.com/jestur{/a} or visit Discord: {a=https://discord.gg/pCnW2A}https://discord.gg/pCnW2A{/a}")

            text _("\n\n{color=#42c2f5}Phone Anime Wallpapers:{/color}")

            text _("\nArt by CYI")
            text _("Link: https://www.patreon.com/CYI ")

            text _("\n\n{color=#42c2f5}Music:{/color}")

            for i in range(0, len(musiclist)):
                $ t = "\n" + musiclist[i]["title"] + (" "+_("by")+" " if musiclist[i]["by"] != "" else "") + musiclist[i]["by"]
                text t
                if musiclist[i]["link"] != "":
                    $ t = musiclist[i]["link"][musiclist[i]["link"].find("//")+2:musiclist[i]["link"].find("/",musiclist[i]["link"].find("//")+2)]
                    hbox:
                        text _("Link")+": "
                        textbutton t action OpenURL(musiclist[i]["link"]):
                            padding (0,0)
                            text_font gui.text_font
                if musiclist[i]["license"] != "":
                    $ t = musiclist[i]["license"][musiclist[i]["license"].find("//")+2:musiclist[i]["license"].find("/",musiclist[i]["license"].find("//")+2)]
                    hbox:
                        if musiclist[i]["ltype"] != "":
                            text _("License")+" ("+musiclist[i]["ltype"]+"): "
                        else:
                            text _("License")+": "
                        textbutton t action OpenURL(musiclist[i]["license"]):
                            padding (0,0)
                            text_font gui.text_font
                elif musiclist[i]["ltype"] != "":
                    text _("License")+": "+musiclist[i]["ltype"]
                if musiclist[i]["web"] != "":
                    $ t = musiclist[i]["web"][musiclist[i]["web"].find("//")+2:musiclist[i]["web"].find("/",musiclist[i]["web"].find("//")+2)]
                    hbox:
                        text _("Artist website")+": "
                        textbutton t action OpenURL(musiclist[i]["web"]):
                            padding (0,0)
                            text_font gui.text_font

            text _("\n\n\n\n\n\n\n\n\n\n ")







            ## gui.about is usually set in options.rpy.
            if gui.about:
                text "[gui.about!t]\n"

            text _("Made with {a=https://www.renpy.org/}Ren'Py{/a} [renpy.version_only].\n\n[renpy.license!t]")
    imagebutton:
            pos (210, 335, 99, 47)
            xalign 0.050
            #focus_mask True
            idle "other/MainA.png"
            hover "other/MainB.png"
            action MainMenu()
            hover_sound "audio/sounds/clickhover.mp3"
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Main menu.")
    imagebutton:
            pos (210, 400, 99, 47)
            xalign 0.050
            #focus_mask True
            idle "other/SaveA.png"
            hover "other/SaveB.png"
            action ShowMenu("save")
            hover_sound "audio/sounds/clickhover.mp3"
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Save game.")
    imagebutton:
            pos (210, 465, 99, 47)
            xalign 0.050
            #focus_mask True
            idle "other/LoadA.png"
            hover "other/LoadB.png"
            action ShowMenu("load")
            hover_sound "audio/sounds/clickhover.mp3"
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Load game.")
    imagebutton:
            pos (210, 530, 99, 47)
            xalign 0.050
            #focus_mask True
            idle "other/Optionsa.png"
            hover "other/Optionsb.png"
            action ShowMenu("preferences")
            hover_sound "audio/sounds/clickhover.mp3"
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Options.")
    imagebutton:
            pos (210, 595, 99, 47)
            xalign 0.050
            #focus_mask True
            idle "other/HelpA.png"
            hover "other/HelpB.png"
            action ShowMenu("help")
            hover_sound "audio/sounds/clickhover.mp3"
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Help.")
    imagebutton:
            pos (210, 660, 99, 47)
            xalign 0.050
            #focus_mask True
            idle "other/GalleryA.png"
            hover "other/GalleryB.png"
            action ShowMenu("gallery")
            hover_sound "audio/sounds/clickhover.mp3"
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Gallery.")
    imagebutton:
            pos (210, 725, 99, 47)
            xalign 0.050
            #focus_mask True
            idle "other/CreditsA.png"
            hover "other/CreditsB.png"
            action ShowMenu("about")
            hover_sound "audio/sounds/clickhover.mp3"
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Credits.")
    imagebutton:
            pos (210, 790, 99, 47)
            xalign 0.050
            #focus_mask True
            idle "other/QuitA.png"
            hover "other/QuitB.png"
            action Quit(confirm=not main_menu)
            hover_sound "audio/sounds/clickhover.mp3"
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Quit game.")
## This is redefined in options.rpy to add text to the about screen.
define gui.about = ""


style about_label is gui_label
style about_label_text is gui_label_text
style about_text is gui_text

style about_label_text:
    size gui.label_text_size


## Load and Save screens #######################################################
##
## These screens are responsible for letting the player save the game and load
## it again. Since they share nearly everything in common, both are implemented
## in terms of a third screen, file_slots.
##
## https://www.renpy.org/doc/html/screen_special.html#save https://
## www.renpy.org/doc/html/screen_special.html#load

screen save():

    tag menu
    add "gui/Menu_screens/prefs-overlayALT2.png"
    add "gui/Menu_screens/title_save.png"
    add "gui/Menu_screens/prefs-overlay_buttons.png"
    use file_slots(_(""))

    imagebutton:
            pos (210, 335, 99, 47)
            xalign 0.050
            #focus_mask True
            idle "other/MainA.png"
            hover "other/MainB.png"
            action MainMenu()
            hover_sound "audio/sounds/clickhover.mp3"
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Main menu.")
    imagebutton:
            pos (210, 400, 99, 47)
            xalign 0.050
            #focus_mask True
            idle "other/SaveA.png"
            hover "other/SaveB.png"
            action ShowMenu("save")
            hover_sound "audio/sounds/clickhover.mp3"
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Save game.")
    imagebutton:
            pos (210, 465, 99, 47)
            xalign 0.050
            #focus_mask True
            idle "other/LoadA.png"
            hover "other/LoadB.png"
            action ShowMenu("load")
            hover_sound "audio/sounds/clickhover.mp3"
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Load game.")
    imagebutton:
            pos (210, 530, 99, 47)
            xalign 0.050
            #focus_mask True
            idle "other/Optionsa.png"
            hover "other/Optionsb.png"
            action ShowMenu("preferences")
            hover_sound "audio/sounds/clickhover.mp3"
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Options.")
    imagebutton:
            pos (210, 595, 99, 47)
            xalign 0.050
            #focus_mask True
            idle "other/HelpA.png"
            hover "other/HelpB.png"
            action ShowMenu("help")
            hover_sound "audio/sounds/clickhover.mp3"
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Help.")
    imagebutton:
            pos (210, 660, 99, 47)
            xalign 0.050
            #focus_mask True
            idle "other/GalleryA.png"
            hover "other/GalleryB.png"
            action ShowMenu("gallery")
            hover_sound "audio/sounds/clickhover.mp3"
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Gallery.")
    imagebutton:
            pos (210, 725, 99, 47)
            xalign 0.050
            #focus_mask True
            idle "other/CreditsA.png"
            hover "other/CreditsB.png"
            action ShowMenu("about")
            hover_sound "audio/sounds/clickhover.mp3"
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Credits.")
    imagebutton:
            pos (210, 790, 99, 47)
            xalign 0.050
            #focus_mask True
            idle "other/QuitA.png"
            hover "other/QuitB.png"
            action Quit(confirm=not main_menu)
            hover_sound "audio/sounds/clickhover.mp3"
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Quit game.")




screen load():

    tag menu
    add "gui/Menu_screens/prefs-overlayALT2.png"
    add "gui/Menu_screens/title_load.png"
    add "gui/Menu_screens/prefs-overlay_buttons.png"
    use file_slots(_(""))

    imagebutton:
            pos (210, 335, 99, 47)
            xalign 0.050
            #focus_mask True
            idle "other/MainA.png"
            hover "other/MainB.png"
            action MainMenu()
            hover_sound "audio/sounds/clickhover.mp3"
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Main menu.")
    imagebutton:
            pos (210, 400, 99, 47)
            xalign 0.050
            #focus_mask True
            idle "other/SaveA.png"
            hover "other/SaveB.png"
            action ShowMenu("save")
            hover_sound "audio/sounds/clickhover.mp3"
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Save game.")
    imagebutton:
            pos (210, 465, 99, 47)
            xalign 0.050
            #focus_mask True
            idle "other/LoadA.png"
            hover "other/LoadB.png"
            action ShowMenu("load")
            hover_sound "audio/sounds/clickhover.mp3"
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Load game.")
    imagebutton:
            pos (210, 530, 99, 47)
            xalign 0.050
            #focus_mask True
            idle "other/Optionsa.png"
            hover "other/Optionsb.png"
            action ShowMenu("preferences")
            hover_sound "audio/sounds/clickhover.mp3"
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Options.")
    imagebutton:
            pos (210, 595, 99, 47)
            xalign 0.050
            #focus_mask True
            idle "other/HelpA.png"
            hover "other/HelpB.png"
            action ShowMenu("help")
            hover_sound "audio/sounds/clickhover.mp3"
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Help.")
    imagebutton:
            pos (210, 660, 99, 47)
            xalign 0.050
            #focus_mask True
            idle "other/GalleryA.png"
            hover "other/GalleryB.png"
            action ShowMenu("gallery")
            hover_sound "audio/sounds/clickhover.mp3"
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Gallery.")
    imagebutton:
            pos (210, 725, 99, 47)
            xalign 0.050
            #focus_mask True
            idle "other/CreditsA.png"
            hover "other/CreditsB.png"
            action ShowMenu("about")
            hover_sound "audio/sounds/clickhover.mp3"
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Credits.")
    imagebutton:
            pos (210, 790, 99, 47)
            xalign 0.050
            #focus_mask True
            idle "other/QuitA.png"
            hover "other/QuitB.png"
            action Quit(confirm=not main_menu)
            hover_sound "audio/sounds/clickhover.mp3"
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Quit game.")
screen file_slots(title):

    default page_name_value = FilePageNameInputValue(pattern=_("Page {}"), auto=_("Automatic saves"), quick=_("Quick saves"))

    use game_menu(title):


        fixed:

            ## This ensures the input will get the enter event before any of the
            ## buttons do.
            order_reverse True

            ## The page name, which can be edited by clicking on a button.
            button:
                style "page_label"

                key_events True
                xalign 0.5
                action page_name_value.Toggle()

                input:
                    style "page_label_text"
                    value page_name_value

            ## The grid of file slots.
            grid gui.file_slot_cols gui.file_slot_rows:
                style_prefix "slot"

                xalign 0.5
                yalign 0.5

                spacing gui.slot_spacing

                for i in range(gui.file_slot_cols * gui.file_slot_rows):

                    $ slot = i + 1

                    button:
                        action FileAction(slot)

                        has vbox

                        add FileScreenshot(slot) xalign 0.5

                        text FileTime(slot, format=_("{#file_time}%A, %B %d %Y, %H:%M"), empty=_("empty slot")):
                            style "slot_time_text"

                        text FileSaveName(slot):
                            style "slot_name_text"

                        key "save_delete" action FileDelete(slot)

            ## Buttons to access other pages.
            hbox:
                style_prefix "page"

                xalign 0.5
                yalign 1.0

                spacing gui.page_spacing

                textbutton _("<") action FilePagePrevious()

                if config.has_autosave:
                    textbutton _("{#auto_page}A") action FilePage("auto")

                if config.has_quicksave:
                    textbutton _("{#quick_page}Q") action FilePage("quick")

                ## range(1, 10) gives the numbers from 1 to 9.
                for page in range(1, 10):
                    textbutton "[page]" action FilePage(page)

                textbutton _(">") action FilePageNext()


style page_label is gui_label
style page_label_text is gui_label_text
style page_button is gui_button
style page_button_text is gui_button_text

style slot_button is gui_button
style slot_button_text is gui_button_text
style slot_time_text is slot_button_text
style slot_name_text is slot_button_text

style page_label:
    xpadding 75
    ypadding 5

style page_label_text:
    text_align 0.5
    layout "subtitle"
    hover_color gui.hover_color

style page_button:
    properties gui.button_properties("page_button")

style page_button_text:
    properties gui.button_text_properties("page_button")

style slot_button:
    properties gui.button_properties("slot_button")

style slot_button_text:
    properties gui.button_text_properties("slot_button")


## Preferences screen ##########################################################
##
## The preferences screen allows the player to configure the game to better suit
## themselves.
##
## https://www.renpy.org/doc/html/screen_special.html#preferences

screen preferences(fromPhone=None):

    tag menu
    add "gui/Menu_screens/prefs-overlayALT2.png"
    add "gui/Menu_screens/title_options.png"
    add "gui/Menu_screens/prefs-overlay_buttons.png"
    use game_menu(_(""), scroll="viewport", fromPhone=fromPhone, fromPhoneHide="preferences"):

        vbox xpos 0.085:

            hbox:
                box_wrap True

                if renpy.variant("pc") or renpy.variant("web"):

                    vbox:
                        style_prefix "radio"
                        label _("Display")
                        textbutton _("Window") action Preference("display", "window")
                        textbutton _("Fullscreen") action Preference("display", "fullscreen")

                vbox:
                    style_prefix "radio"
                    label _("Rollback Side")
                    textbutton _("Disable") action Preference("rollback side", "disable")
                    textbutton _("Left") action Preference("rollback side", "left")
                    textbutton _("Right") action Preference("rollback side", "right")

                vbox:
                    style_prefix "check"
                    label _("Skip")
                    textbutton _("Unseen Text") action Preference("skip", "toggle")
                    textbutton _("After Choices") action Preference("after choices", "toggle")
                    textbutton _("Transitions") action InvertSelected(Preference("transitions", "toggle"))

                vbox:
                    style_prefix "radio"
                    label _("Quick Menu")
                    textbutton _("Enabled") action SelectedIf(SetVariable('persistent.quick_menu', True))
                    textbutton _("Disabled") action SelectedIf(SetVariable('persistent.quick_menu', False))


                ## Additional vboxes of type "radio_pref" or "check_pref" can be
                ## added here, to add additional creator-defined preferences.



            null height (4 * gui.pref_spacing)

            hbox:
                style_prefix "slider"
                box_wrap True

                vbox:

                    label _("Text Speed")

                    bar value Preference("text speed")

                    label _("Auto-Forward Time")

                    bar value Preference("auto-forward time")

                    label _("Textbox Transparency")

                    bar value FieldValue(persistent, "textbox_transparency", range=1.0, style="slider")

                vbox:

                    if config.has_music:
                        label _("Music Volume")

                        hbox:
                            bar value Preference("music volume")

                    if config.has_sound:

                        label _("Sound Volume")

                        hbox:
                            bar value Preference("sound volume")

                            if config.sample_sound:
                                textbutton _("Test") action Play("sound", config.sample_sound)


                    if config.has_voice:
                        label _("Voice Volume")

                        hbox:
                            bar value Preference("voice volume")

                            if config.sample_voice:
                                textbutton _("Test") action Play("voice", config.sample_voice)

                    if config.has_voice:
                        label _("Ambient Volume")

                        hbox:
                            bar value MixerValue("ambientMix")

                            if config.sample_voice:
                                textbutton _("Test") action Play("voice", config.sample_voice)

                    if config.has_music or config.has_sound or config.has_voice:
                        null height gui.pref_spacing

                        textbutton _("Mute All"):
                            action Preference("all mute", "toggle")
                            style "mute_all_button"

    if not _in_replay:
        imagebutton:
                pos (210, 335, 99, 47)
                xalign 0.050
                #focus_mask True
                idle "other/MainA.png"
                hover "other/MainB.png"
                action MainMenu()
                hover_sound "audio/sounds/clickhover.mp3"
                activate_sound "audio/sounds/clickhover1.mp3"
                alt _("Main menu.")
        imagebutton:
                pos (210, 400, 99, 47)
                xalign 0.050
                #focus_mask True
                idle "other/SaveA.png"
                hover "other/SaveB.png"
                action ShowMenu("save")
                hover_sound "audio/sounds/clickhover.mp3"
                activate_sound "audio/sounds/clickhover1.mp3"
                alt _("Save game.")
        imagebutton:
                pos (210, 465, 99, 47)
                xalign 0.050
                #focus_mask True
                idle "other/LoadA.png"
                hover "other/LoadB.png"
                action ShowMenu("load")
                hover_sound "audio/sounds/clickhover.mp3"
                activate_sound "audio/sounds/clickhover1.mp3"
                alt _("Load game.")
        imagebutton:
                pos (210, 530, 99, 47)
                xalign 0.050
                #focus_mask True
                idle "other/Optionsa.png"
                hover "other/Optionsb.png"
                action ShowMenu("preferences")
                hover_sound "audio/sounds/clickhover.mp3"
                activate_sound "audio/sounds/clickhover1.mp3"
                alt _("Options.")
        imagebutton:
                pos (210, 595, 99, 47)
                xalign 0.050
                #focus_mask True
                idle "other/HelpA.png"
                hover "other/HelpB.png"
                action ShowMenu("help")
                hover_sound "audio/sounds/clickhover.mp3"
                activate_sound "audio/sounds/clickhover1.mp3"
                alt _("Help.")
        imagebutton:
                pos (210, 660, 99, 47)
                xalign 0.050
                #focus_mask True
                idle "other/GalleryA.png"
                hover "other/GalleryB.png"
                action ShowMenu("gallery")
                hover_sound "audio/sounds/clickhover.mp3"
                activate_sound "audio/sounds/clickhover1.mp3"
                alt _("Gallery.")
        imagebutton:
                pos (210, 725, 99, 47)
                xalign 0.050
                #focus_mask True
                idle "other/CreditsA.png"
                hover "other/CreditsB.png"
                action ShowMenu("about")
                hover_sound "audio/sounds/clickhover.mp3"
                activate_sound "audio/sounds/clickhover1.mp3"
                alt _("Credits.")
        imagebutton:
                pos (210, 790, 99, 47)
                xalign 0.050
                #focus_mask True
                idle "other/QuitA.png"
                hover "other/QuitB.png"
                action Quit(confirm=not main_menu)
                hover_sound "audio/sounds/clickhover.mp3"
                activate_sound "audio/sounds/clickhover1.mp3"
                alt _("Quit game.")

style pref_label is gui_label
style pref_label_text is gui_label_text
style pref_vbox is vbox

style radio_label is pref_label
style radio_label_text is pref_label_text
style radio_button is gui_button
style radio_button_text is gui_button_text
style radio_vbox is pref_vbox

style check_label is pref_label
style check_label_text is pref_label_text
style check_button is gui_button
style check_button_text is gui_button_text
style check_vbox is pref_vbox

style slider_label is pref_label
style slider_label_text is pref_label_text
style slider_slider is gui_slider
style slider_button is gui_button
style slider_button_text is gui_button_text
style slider_pref_vbox is pref_vbox

style mute_all_button is check_button
style mute_all_button_text is check_button_text

style pref_label:
    top_margin gui.pref_spacing
    bottom_margin 3

style pref_label_text:
    yalign 1.0

style pref_vbox:
    xsize 338

style radio_vbox:
    spacing gui.pref_button_spacing

style radio_button:
    properties gui.button_properties("radio_button")
    foreground "gui/button/radio_[prefix_]foreground.png"

style radio_button_text:
    properties gui.button_text_properties("radio_button")

style check_vbox:
    spacing gui.pref_button_spacing

style check_button:
    properties gui.button_properties("check_button")
    foreground "gui/button/check_[prefix_]foreground.png"

style check_button_text:
    properties gui.button_text_properties("check_button")

style slider_slider:
    xsize 500

style slider_button:
    properties gui.button_properties("slider_button")
    yalign 0.5
    left_margin 15

style slider_button_text:
    properties gui.button_text_properties("slider_button")

style slider_vbox:
    xsize 675


## History screen ##############################################################
##
## This is a screen that displays the dialogue history to the player. While
## there isn't anything special about this screen, it does have to access the
## dialogue history stored in _history_list.
##
## https://www.renpy.org/doc/html/history.html

screen history():

    tag menu

    ## Avoid predicting this screen, as it can be very large.
    predict False

    use game_menu(_("History"), scroll=("vpgrid" if gui.history_height else "viewport"), yinitial=1.0):

        style_prefix "history"

        for h in _history_list:

            window:

                ## This lays things out properly if history_height is None.
                has fixed:
                    yfit True

                if h.who:

                    label h.who:
                        style "history_name"
                        substitute False

                        ## Take the color of the who text from the Character, if
                        ## set.
                        if "color" in h.who_args:
                            text_color h.who_args["color"]

                $ what = renpy.filter_text_tags(h.what, allow=gui.history_allow_tags)
                text what:
                    substitute False

        if not _history_list:
            label _("The dialogue history is empty.")


## This determines what tags are allowed to be displayed on the history screen.

define gui.history_allow_tags = set()


style history_window is empty

style history_name is gui_label
style history_name_text is gui_label_text
style history_text is gui_text

style history_text is gui_text

style history_label is gui_label
style history_label_text is gui_label_text

style history_window:
    xfill True
    ysize gui.history_height

style history_name:
    xpos gui.history_name_xpos
    xanchor gui.history_name_xalign
    ypos gui.history_name_ypos
    xsize gui.history_name_width

style history_name_text:
    min_width gui.history_name_width
    text_align gui.history_name_xalign

style history_text:
    xpos gui.history_text_xpos
    ypos gui.history_text_ypos
    xanchor gui.history_text_xalign
    xsize gui.history_text_width
    min_width gui.history_text_width
    text_align gui.history_text_xalign
    layout ("subtitle" if gui.history_text_xalign else "tex")

style history_label:
    xfill True

style history_label_text:
    xalign 0.5


## Help screen #################################################################
##
## A screen that gives information about key and mouse bindings. It uses other
## screens (keyboard_help, mouse_help, and gamepad_help) to display the actual
## help.

screen help():

    tag menu

    default device = "keyboard"
    add "gui/Menu_screens/prefs-overlayALT2.png"
    add "gui/Menu_screens/title_help.png"
    add "gui/Menu_screens/prefs-overlay_buttons.png"
    use game_menu(_(""), scroll="viewport"):

        style_prefix "help"

        vbox xpos 0.085:
            spacing 23

            hbox:

                textbutton _("Keyboard") action SetScreenVariable("device", "keyboard")
                textbutton _("Mouse") action SetScreenVariable("device", "mouse")

                if GamepadExists():
                    textbutton _("Gamepad") action SetScreenVariable("device", "gamepad")

            if device == "keyboard":
                use keyboard_help
            elif device == "mouse":
                use mouse_help
            elif device == "gamepad":
                use gamepad_help

    imagebutton:
            pos (210, 335, 99, 47)
            xalign 0.050
            #focus_mask True
            idle "other/MainA.png"
            hover "other/MainB.png"
            action MainMenu()
            hover_sound "audio/sounds/clickhover.mp3"
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Main menu.")
    imagebutton:
            pos (210, 400, 99, 47)
            xalign 0.050
            #focus_mask True
            idle "other/SaveA.png"
            hover "other/SaveB.png"
            action ShowMenu("save")
            hover_sound "audio/sounds/clickhover.mp3"
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Save game.")
    imagebutton:
            pos (210, 465, 99, 47)
            xalign 0.050
            #focus_mask True
            idle "other/LoadA.png"
            hover "other/LoadB.png"
            action ShowMenu("load")
            hover_sound "audio/sounds/clickhover.mp3"
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Load game.")
    imagebutton:
            pos (210, 530, 99, 47)
            xalign 0.050
            #focus_mask True
            idle "other/Optionsa.png"
            hover "other/Optionsb.png"
            action ShowMenu("preferences")
            hover_sound "audio/sounds/clickhover.mp3"
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Options.")
    imagebutton:
            pos (210, 595, 99, 47)
            xalign 0.050
            #focus_mask True
            idle "other/HelpA.png"
            hover "other/HelpB.png"
            action ShowMenu("help")
            hover_sound "audio/sounds/clickhover.mp3"
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Help.")
    imagebutton:
            pos (210, 660, 99, 47)
            xalign 0.050
            #focus_mask True
            idle "other/GalleryA.png"
            hover "other/GalleryB.png"
            action ShowMenu("gallery")
            hover_sound "audio/sounds/clickhover.mp3"
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Gallery.")
    imagebutton:
            pos (210, 725, 99, 47)
            xalign 0.050
            #focus_mask True
            idle "other/CreditsA.png"
            hover "other/CreditsB.png"
            action ShowMenu("about")
            hover_sound "audio/sounds/clickhover.mp3"
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Credits.")
    imagebutton:
            pos (210, 790, 99, 47)
            xalign 0.050
            #focus_mask True
            idle "other/QuitA.png"
            hover "other/QuitB.png"
            action Quit(confirm=not main_menu)
            hover_sound "audio/sounds/clickhover.mp3"
            activate_sound "audio/sounds/clickhover1.mp3"
            alt _("Quit game.")

screen keyboard_help():

    hbox:
        label _("Enter")
        text _("Advances dialogue and activates the interface.")

    hbox:
        label _("Space")
        text _("Advances dialogue without selecting choices.")

    hbox:
        label _("Arrow Keys")
        text _("Navigate the interface.")

    hbox:
        label _("Escape")
        text _("Accesses the game menu.")

    hbox:
        label _("Ctrl")
        text _("Skips dialogue while held down.")

    hbox:
        label _("Tab")
        text _("Toggles dialogue skipping.")

    hbox:
        label _("Page Up")
        text _("Rolls back to earlier dialogue.")

    hbox:
        label _("Page Down")
        text _("Rolls forward to later dialogue.")

    hbox:
        label "H"
        text _("Hides the user interface.")

    hbox:
        label "S"
        text _("Takes a screenshot.")

    hbox:
        label "V"
        text _("Toggles assistive {a=https://www.renpy.org/l/voicing}self-voicing{/a}.")


screen mouse_help():

    hbox:
        label _("Left Click")
        text _("Advances dialogue and activates the interface.")

    hbox:
        label _("Middle Click")
        text _("Hides the user interface.")

    hbox:
        label _("Right Click")
        text _("Accesses the game menu.")

    hbox:
        label _("Mouse Wheel Up\nClick Rollback Side")
        text _("Rolls back to earlier dialogue.")

    hbox:
        label _("Mouse Wheel Down")
        text _("Rolls forward to later dialogue.")


screen gamepad_help():

    hbox:
        label _("Right Trigger\nA/Bottom Button")
        text _("Advances dialogue and activates the interface.")

    hbox:
        label _("Left Trigger\nLeft Shoulder")
        text _("Rolls back to earlier dialogue.")

    hbox:
        label _("Right Shoulder")
        text _("Rolls forward to later dialogue.")


    hbox:
        label _("D-Pad, Sticks")
        text _("Navigate the interface.")

    hbox:
        label _("Start, Guide")
        text _("Accesses the game menu.")

    hbox:
        label _("Y/Top Button")
        text _("Hides the user interface.")

    textbutton _("Calibrate") action GamepadCalibrate()


style help_button is gui_button
style help_button_text is gui_button_text
style help_label is gui_label
style help_label_text is gui_label_text
style help_text is gui_text

style help_button:
    properties gui.button_properties("help_button")
    xmargin 12

style help_button_text:
    properties gui.button_text_properties("help_button")

style help_label:
    xsize 375
    right_padding 30

style help_label_text:
    size gui.text_size
    xalign 1.0
    text_align 1.0



################################################################################
## Additional screens
################################################################################


## Confirm screen ##############################################################
##
## The confirm screen is called when Ren'Py wants to ask the player a yes or no
## question.
##
## https://www.renpy.org/doc/html/screen_special.html#confirm

screen confirm(message, yes_action, no_action):

    ## Ensure other screens do not get input while this screen is displayed.
    modal True

    zorder 200

    style_prefix "confirm"

    add "gui/overlay/confirm.png"

    frame:

        vbox:
            xalign .5
            yalign .5
            spacing 45

            label _(message):
                style "confirm_prompt"
                xalign 0.5

            hbox:
                xalign 0.5
                spacing 150

                textbutton _("Yes") action yes_action
                textbutton _("No") action no_action

    ## Right-click and escape answer "no".
    key "game_menu" action no_action


style confirm_frame is gui_frame
style confirm_prompt is gui_prompt
style confirm_prompt_text is gui_prompt_text
style confirm_button is gui_medium_button
style confirm_button_text is gui_medium_button_text

style confirm_frame:
    background Frame([ "gui/confirm_frame.png", "gui/frame.png"], gui.confirm_frame_borders, tile=gui.frame_tile)
    padding gui.confirm_frame_borders.padding
    xalign .5
    yalign .5

style confirm_prompt_text:
    text_align 0.5
    layout "subtitle"

style confirm_button:
    properties gui.button_properties("confirm_button")

style confirm_button_text:
    properties gui.button_text_properties("confirm_button")


## Skip indicator screen #######################################################
##
## The skip_indicator screen is displayed to indicate that skipping is in
## progress.
##
## https://www.renpy.org/doc/html/screen_special.html#skip-indicator

screen skip_indicator():

    zorder 100
    style_prefix "skip"

    frame:

        hbox:
            spacing 9

            text _("Skipping")

            text "▸" at delayed_blink(0.0, 1.0) style "skip_triangle"
            text "▸" at delayed_blink(0.2, 1.0) style "skip_triangle"
            text "▸" at delayed_blink(0.4, 1.0) style "skip_triangle"


## This transform is used to blink the arrows one after another.
transform delayed_blink(delay, cycle):
    alpha .5

    pause delay

    block:
        linear .2 alpha 1.0
        pause .2
        linear .2 alpha 0.5
        pause (cycle - .4)
        repeat


style skip_frame is empty
style skip_text is gui_text
style skip_triangle is skip_text

style skip_frame:
    ypos gui.skip_ypos
    background Frame("gui/skip.png", gui.skip_frame_borders, tile=gui.frame_tile)
    padding gui.skip_frame_borders.padding

style skip_text:
    size gui.notify_text_size

style skip_triangle:
    ## We have to use a font that has the BLACK RIGHT-POINTING SMALL TRIANGLE
    ## glyph in it.
    font "DejaVuSans.ttf"


## Notify screen ###############################################################
##
## The notify screen is used to show the player a message. (For example, when
## the game is quicksaved or a screenshot has been taken.)
##
## https://www.renpy.org/doc/html/screen_special.html#notify-screen

screen notify(message):

    zorder 100
    style_prefix "notify"

    frame at notify_appear:
        text "[message!tq]"

    timer 3.25 action Hide('notify')


transform notify_appear:
    on show:
        alpha 0
        linear .25 alpha 1.0
    on hide:
        linear .5 alpha 0.0


style notify_frame is empty
style notify_text is gui_text

style notify_frame:
    ypos gui.notify_ypos

    background Frame("gui/notify.png", gui.notify_frame_borders, tile=gui.frame_tile)
    padding gui.notify_frame_borders.padding

style notify_text:
    properties gui.text_properties("notify")


## NVL screen ##################################################################
##
## This screen is used for NVL-mode dialogue and menus.
##
## https://www.renpy.org/doc/html/screen_special.html#nvl


screen nvl(dialogue, items=None):

    window:
        style "nvl_window"

        has vbox:
            spacing gui.nvl_spacing

        ## Displays dialogue in either a vpgrid or the vbox.
        if gui.nvl_height:

            vpgrid:
                cols 1
                yinitial 1.0

                use nvl_dialogue(dialogue)

        else:

            use nvl_dialogue(dialogue)

        ## Displays the menu, if given. The menu may be displayed incorrectly if
        ## config.narrator_menu is set to True, as it is above.
        for i in items:

            textbutton i.caption:
                action i.action
                style "nvl_button"

    add SideImage() xalign 0.0 yalign 1.0


screen nvl_dialogue(dialogue):

    for d in dialogue:

        window:
            id d.window_id

            fixed:
                yfit gui.nvl_height is None

                if d.who is not None:

                    text d.who:
                        id d.who_id

                text d.what:
                    id d.what_id


## This controls the maximum number of NVL-mode entries that can be displayed at
## once.
define config.nvl_list_length = gui.nvl_list_length

style nvl_window is default
style nvl_entry is default

style nvl_label is say_label
style nvl_dialogue is say_dialogue

style nvl_button is button
style nvl_button_text is button_text

style nvl_window:
    xfill True
    yfill True

    background "gui/nvl.png"
    padding gui.nvl_borders.padding

style nvl_entry:
    xfill True
    ysize gui.nvl_height

style nvl_label:
    xpos gui.nvl_name_xpos
    xanchor gui.nvl_name_xalign
    ypos gui.nvl_name_ypos
    yanchor 0.0
    xsize gui.nvl_name_width
    min_width gui.nvl_name_width
    text_align gui.nvl_name_xalign

style nvl_dialogue:
    xpos gui.nvl_text_xpos
    xanchor gui.nvl_text_xalign
    ypos gui.nvl_text_ypos
    xsize gui.nvl_text_width
    min_width gui.nvl_text_width
    text_align gui.nvl_text_xalign
    layout ("subtitle" if gui.nvl_text_xalign else "tex")

style nvl_thought:
    xpos gui.nvl_thought_xpos
    xanchor gui.nvl_thought_xalign
    ypos gui.nvl_thought_ypos
    xsize gui.nvl_thought_width
    min_width gui.nvl_thought_width
    text_align gui.nvl_thought_xalign
    layout ("subtitle" if gui.nvl_text_xalign else "tex")

style nvl_button:
    properties gui.button_properties("nvl_button")
    xpos gui.nvl_button_xpos
    xanchor gui.nvl_button_xalign

style nvl_button_text:
    properties gui.button_text_properties("nvl_button")



################################################################################
## Mobile Variants
################################################################################

style pref_vbox:
    variant "medium"
    xsize 675

## Since a mouse may not be present, we replace the quick menu with a version
## that uses fewer and bigger buttons that are easier to touch.
screen quick_menu():
    variant "touch"

    zorder 100

    if persistent.quick_menu and show_quick_menu:

        hbox:
            style_prefix "quick"

            xalign 0.5
            yalign 1.0

            textbutton _("Back") action Rollback()
            textbutton _("Skip") action Skip() alternate Skip(fast=True, confirm=True)
            textbutton _("Auto") action Preference("auto-forward", "toggle")
            textbutton _("Menu") action ShowMenu()
            textbutton _("Hide") action HideInterface()


style window:
    variant "small"
    background "gui/phone/textbox.png"

style radio_button:
    variant "small"
    foreground "gui/phone/button/radio_[prefix_]foreground.png"

style check_button:
    variant "small"
    foreground "gui/phone/button/check_[prefix_]foreground.png"

style nvl_window:
    variant "small"
    background "gui/phone/nvl.png"

style main_menu_frame:
    variant "small"
    #background "gui/phone/overlay/main_menu.png"

style game_menu_outer_frame:
    variant "small"
    background "gui/phone/overlay/game_menu.png"

style game_menu_navigation_frame:
    variant "small"
    xsize 510

style game_menu_content_frame:
    variant "small"
    top_margin 0

style pref_vbox:
    variant "small"
    xsize 600

style bar:
    variant "small"
    ysize gui.bar_size
    left_bar Frame("gui/phone/bar/left.png", gui.bar_borders, tile=gui.bar_tile)
    right_bar Frame("gui/phone/bar/right.png", gui.bar_borders, tile=gui.bar_tile)

style vbar:
    variant "small"
    xsize gui.bar_size
    top_bar Frame("gui/phone/bar/top.png", gui.vbar_borders, tile=gui.bar_tile)
    bottom_bar Frame("gui/phone/bar/bottom.png", gui.vbar_borders, tile=gui.bar_tile)

style scrollbar:
    variant "small"
    ysize gui.scrollbar_size
    base_bar Frame("gui/phone/scrollbar/horizontal_[prefix_]bar.png", gui.scrollbar_borders, tile=gui.scrollbar_tile)
    thumb Frame("gui/phone/scrollbar/horizontal_[prefix_]thumb.png", gui.scrollbar_borders, tile=gui.scrollbar_tile)

style vscrollbar:
    variant "small"
    xsize gui.scrollbar_size
    base_bar Frame("gui/phone/scrollbar/vertical_[prefix_]bar.png", gui.vscrollbar_borders, tile=gui.scrollbar_tile)
    thumb Frame("gui/phone/scrollbar/vertical_[prefix_]thumb.png", gui.vscrollbar_borders, tile=gui.scrollbar_tile)

style slider:
    variant "small"
    ysize gui.slider_size
    base_bar Frame("gui/phone/slider/horizontal_[prefix_]bar.png", gui.slider_borders, tile=gui.slider_tile)
    thumb "gui/phone/slider/horizontal_[prefix_]thumb.png"

style vslider:
    variant "small"
    xsize gui.slider_size
    base_bar Frame("gui/phone/slider/vertical_[prefix_]bar.png", gui.vslider_borders, tile=gui.slider_tile)
    thumb "gui/phone/slider/vertical_[prefix_]thumb.png"

style slider_pref_vbox:
    variant "small"
    xsize None

style slider_pref_slider:
    variant "small"
    xsize 900


## Other Screens ##################################################################
##
## These screen are used for other shit that Jestur wants to use.
##
## https://www.renpy.org/doc/html/stop_reading_my_code_ball-licker.html

init -2:
    transform ib_fade:
        alpha 0.0
        easein 1.5 alpha 1.0

init -2:
    transform ib_fade1:
        alpha 0.0
        easein .5 alpha 1.0



#------------------------------- Shake Effect -------------------------------------



init:

    python:

        import math

        class Shaker(object):

            anchors = {
                'top' : 0.0,
                'center' : 0.5,
                'bottom' : 1.0,
                'left' : 0.0,
                'right' : 1.0,
                }

            def __init__(self, start, child, dist):
                if start is None:
                    start = child.get_placement()
                #
                self.start = [ self.anchors.get(i, i) for i in start ]  # central position
                self.dist = dist    # maximum distance, in pixels, from the starting point
                self.child = child

            def __call__(self, t, sizes):
                # Float to integer... turns floating point numbers to
                # integers.
                def fti(x, r):
                    if x is None:
                        x = 0
                    if isinstance(x, float):
                        return int(x * r)
                    else:
                        return x

                xpos, ypos, xanchor, yanchor = [ fti(a, b) for a, b in zip(self.start, sizes) ]

                xpos = xpos - xanchor
                ypos = ypos - yanchor

                nx = xpos + (1.0-t) * self.dist * (renpy.random.random()*2-1)
                ny = ypos + (1.0-t) * self.dist * (renpy.random.random()*2-1)

                return (int(nx), int(ny), 0, 0)

        def _Shake(start, time, child=None, dist=100.0, **properties):

            move = Shaker(start, child, dist=dist)

            return renpy.display.layout.Motion(move,time,child,add_sizes=True,**properties)

        Shake = renpy.curry(_Shake)
    #

#


## Easter Eggs Images ##################################################################
##
########################################################################################


define egg_list = [
    { 'ground': 'e3s4p13',    'hover': 'e3s4p13a',   'hotspot': (1193,  11,  89,  78), 'image': 'e3s4pb1',            'title': '''Secret 1''',  'hint': '''{b}Location:{/b} Episode Three, Classroom Scene. \n{b}Hint:{/b} Check things on the wall before class.''' },
    { 'ground': 'e3s2p30',    'hover': 'e3s2p30a',   'hotspot': (1239, 406,  46,  94), 'image': 'e3s2pb1',            'title': '''Secret 2''',  'hint': '''{b}Location:{/b} Episode Three, Breakfast Scene. \n{b}Hint:{/b} Pineapple.''' },
    { 'ground': 'e3s3p37',    'hover': 'e3s3p37a',   'hotspot': ( 797,  97,  27,  76), 'image': 'e3s3pb1',            'title': '''Secret 3''',  'hint': '''{b}Location:{/b} Episode Three, School Hallway Scene. {b}Hint:{/b} There's someone peeking behind the lockers.''' },
    { 'ground': 'e3s5p104',   'hover': 'e3s5p104a',  'hotspot': (  24, 669, 116, 177), 'image': 'e3s5pb1',            'title': '''Secret 4''',  'hint': '''{b}Location:{/b} Episode Three, Abandoned Park. \n{b}Hint:{/b} Is that a pineapple in the bushes?''' },
    { 'ground': 'e3s7p78a',   'hover': 'e3s7p78b',   'hotspot': (1477, 753,  96, 157), 'image': 'e3s7pb1',            'title': '''Secret 5''',  'hint': '''{b}Location:{/b} Episode Three, Alyssa's Living Room with Riley.  \n{b}Hint:{/b} Is that a box of Thin Mints on the ground? Exposed!!!''' },
    { 'ground': 'e3s10p90s',  'hover': 'e3s10p90a',  'hotspot': ( 643, 674, 105,  33), 'image': 'valhidimage',        'title': '''Secret 6''',  'hint': '''{b}Location:{/b} Episode Three, Yoga Scene. \n{b}Hint:{/b} Look on the ground while all three of you are sitting.''' },
    { 'ground': 'e3s11p160s', 'hover': 'e3s11p160a', 'hotspot': ( 218, 397,  77,  99), 'image': 'hiddenimageskylar2', 'title': '''Secret 7''',  'hint': '''{b}Location:{/b} Episode Three, MC's Room with Skylar. \n{b}Hint:{/b} Look for toys just before Skylar plays with your toy.''' },
    { 'ground': 'e3s14p100s', 'hover': 'e3s14p100a', 'hotspot': (1590, 544,  87,  45), 'image': 'hiddenimagekrys',    'title': '''Secret 8''',  'hint': '''{b}Location:{/b} Episode Three, Krystal's Room. \n{b}Hint:{/b} Is that a hotdog on the nightstand? I'm sure that would be gone if Daphne was there. She loves hotdogs!''' },
    { 'ground': 'e3s15p119s', 'hover': 'e3s15p119a', 'hotspot': ( 285,  43, 108, 130), 'image': 'hiddenimagejan',     'title': '''Secret 9''',  'hint': '''{b}Location:{/b} Episode Three, Inside Lingerie Store.  \n{b}Hint:{/b} Luke, I am your father!''' },
    { 'ground': 'e3s17p51s',  'hover': 'e3s17p55a',  'hotspot': (1779,  61, 140, 396), 'image': 'hiddenimagedar',     'title': '''Secret 10''', 'hint': '''{b}Location:{/b} Episode Three, Darci's Room. \n{b}Hint:{/b} Bruce Lee.''' },
    { 'ground': 'e3s16p111s', 'hover': 'e3s16p111a', 'hotspot': ( 414, 337,  97, 142), 'image': 'hiddenimagejackie',  'title': '''Secret 11''', 'hint': '''{b}Location:{/b} Episode Three, Miss Gilmour's Living Room. \n{b}Hint:{/b} Look for a pineapple at the end of the scene.''' },
    { 'ground': 'e3s18p15s',  'hover': 'e3s18p15a',  'hotspot': (1212, 897, 216, 131), 'image': 'hiddenimagetiff1',   'title': '''Secret 12''', 'hint': '''{b}Location:{/b} Episode Three, MC's Room at Night. \n{b}Hint:{/b} What's that under the MC's chair?''' },
    { 'ground': 'e4s2p23',    'hover': 'e4s2p23a',   'hotspot': (1694, 222,  46,  50), 'image': 'hi_april',           'title': '''Secret 13''', 'hint': '''{b}Location:{/b} Episode Four, Power Plant Lobby. \n{b}Hint:{/b} Hey now! You're an All-Star! \n(Look for a yellow star.)''' },
    { 'ground': 'e4s3p158',   'hover': 'e4s3p158a',  'hotspot': (  87, 100, 116,  80), 'image': 'hi_scar',            'title': '''Secret 14''', 'hint': '''{b}Location:{/b} Episode Four, Lake Scene. \n{b}Hint:{/b} I was so busy staring at Scarlett's tits that I didn't notice the fish in the water.''' },
    { 'ground': 'e4s4p151',   'hover': 'e4s4p151a',  'hotspot': (1381, 649,  81, 114), 'image': 'hi_lunlym',          'title': '''Secret 15''', 'hint': '''{b}Location:{/b} Episode Four, Diner Scene. \n{b}Hint:{/b} Look around for extraterrestrial beings when Luna is behind the counter. ''' },
    { 'ground': 'e4s7p91',    'hover': 'e4s7p91a',   'hotspot': (  38, 672, 135, 102), 'image': 'hi_jen',             'title': '''Secret 16''', 'hint': '''{b}Location:{/b} Episode Four, Jenny's Garage. \n{b}Hint:{/b} Hey! Is that a PS4 controller? That wasn't out in 1999. What's going on here?''' },
    { 'ground': 'e4s11p16',   'hover': 'e4s11p16a',  'hotspot': ( 443, 233, 128, 205), 'image': 'hi_cind',            'title': '''Secret 17''', 'hint': '''{b}Location:{/b} Episode Four, Cindy's Office. \n{b}Hint:{/b} Frank from Donnie Darko.''' },
    { 'ground': 'e5s1p206',   'hover': 'e5s1p206b',  'hotspot': (  82, 876, 101, 116), 'image': 'hi5_darci',          'title': '''Secret 18''', 'hint': '''{b}Location:{/b} Episdoe Five, Darci's Scene in the Woods. \n{b}Hint:{/b} Is that a cat peeking out from behind the tree?''' },
    { 'ground': 'e5s2p51',    'hover': 'e5s2p51b',   'hotspot': (1776, 140, 131, 198), 'image': 'hi5_alyssa',         'title': '''Secret 19''', 'hint': '''{b}Location:{/b} Episdoe Five, Alyssa's Room. \n{b}Hint:{/b} Look for Ranni the Witch hanging out. ''' },
    { 'ground': 'e5s3p31',    'hover': 'e5s3p31b',   'hotspot': ( 226, 663, 104,  70), 'image': 'hi5_scarlett',       'title': '''Secret 20''', 'hint': '''{b}Location:{/b} Episdoe Five, Scarlett's Room. \n{b}Hint:{/b} What's up with butt plugs just hanging out on nightstands?''' },
    { 'ground': 'e5s6p267',   'hover': 'e5s6p267b',  'hotspot': ( 284,  48, 125, 198), 'image': 'hi5_shelby',         'title': '''Secret 21''', 'hint': '''{b}Location:{/b} Episdoe Five, Lingerie Store. \n{b}Hint:{/b} Who put a pineapple up there?''' },
    { 'ground': 'e5s10p137',  'hover': 'e5s10p137b', 'hotspot': ( 167, 292, 167, 100), 'image': 'hi5_tiffany',        'title': '''Secret 22''', 'hint': '''{b}Location:{/b} Episdoe Five, Movie Night with Tiffany.\n{b}Hint:{/b} Ocarina of Time.''' },
]

screen eastereggs():
    for i in range (0, len(egg_list)):
        if renpy.showing(egg_list[i]['ground']):
            imagebutton idle egg_list[i]['ground'] hover egg_list[i]['hover'] focus_mask egg_list[i]['hover'] action Function(renpy.mark_image_seen,egg_list[i]['image']),Show('easteregg',ind=i),Function(renpy.sound.play,"audio/sounds/unlock.mp3")

screen easteregg(ind=None):
    modal True
    dismiss action Hide(transition=dissolve)
    add egg_list[ind]['image'] at ib_fade

init 998 python:
    config.overlay_screens.append("eastereggs")

screen egg_gallery(fromPhone=None,unlock=False,page=1):
    tag menu

    default galleryUnlock = unlock
    default gal_page = page
    default gal_hint = None

    #Insert the image you want as the background
    add "gallery/gallery_overlayBG_hidden.png"

    if galleryUnlock:
        imagebutton xalign 0.845 yalign 0.115 idle "gallery/Unlock_ButtonA.png" hover "gallery/Unlock_ButtonB.png" action [Function(renpy.free_memory), SetScreenVariable("galleryUnlock", True)]

    grid gal_cols gal_rows:
        xalign 0.5
        yalign 0.5
        spacing 40

        for i in range((gal_page-1)*gal_cells,gal_page*gal_cols*gal_rows):
            if i >= len(egg_list):
                null
            else:
                imagebutton:
                    sensitive True
                    if renpy.seen_image(egg_list[i]['image']) or galleryUnlock:
                        idle Crop((thumb_w,thumb_h,thumb_w,thumb_h), HBox(At(egg_list[i]['image'], gallery_thumb), spacing=0, xysize=(thumb_w*3,thumb_h*3)))
                        hover Crop((thumb_w,thumb_h,thumb_w,thumb_h), HBox(At(egg_list[i]['image'], gallery_thumb, gallery_hover), spacing=0, xysize=(thumb_w*3,thumb_h*3)))
                        action ShowMenu('egg_view',egg_list[i]['image'],fromPhone,galleryUnlock,gal_page)
                    else:
                        idle Crop((thumb_w,thumb_h,thumb_w,thumb_h), HBox(At(egg_list[i]['image'], gallery_thumb, gallery_insensitive), spacing=0, xysize=(thumb_w*3,thumb_h*3)))
                        hover Composite(
                            (thumb_w,thumb_h),
                            (0,0), Crop((thumb_w,thumb_h,thumb_w,thumb_h), HBox(At(egg_list[i]['image'], gallery_thumb, gallery_insensitive), spacing=0, xysize=(thumb_w*3,thumb_h*3))),
                            (int((thumb_w-103)/2),int((thumb_h-14)/2)), Text(_("Click for Hint!"), slow=False, size=18))
                        action SetScreenVariable('gal_hint',egg_list[i]['hint'])

    hbox:
        xalign 0.5
        yalign 0.99
        spacing 40

        textbutton "Main Menu" action ShowMenu("main_menu")

        if gal_page == 1:
            textbutton "Previous Page"
        else:
            textbutton ("Previous Page") action [SetScreenVariable('gal_page', gal_page-1)]

        for i in range (0,int((len(egg_list)-1)/gal_cols/gal_rows)+1):
            textbutton str(i+1) action [SetScreenVariable('gal_page', i+1)]

        if gal_page < len(scenesGallery)/float(gal_cells):
            textbutton ("Next Page") action [SetScreenVariable('gal_page', gal_page+1)]
        else:
            textbutton "Next Page"

        textbutton "Return" action Hide('egg_gallery'), If(fromPhone is None,Return(),[ ShowMenu(fromPhone), Play("sound","audio/sounds/phone_unlock.mp3") ])

    textbutton "Main Gallery":
        sensitive True
        action ShowMenu("gallery",fromPhone)
        xanchor 1.0
        xpos 0.85
        yalign 0.90

    if gal_hint != None:
        use egg_hint(gal_hint)

screen egg_view(img,fromPhone,unlock,page):
    tag menu
    imagebutton:
        idle img at gallery_fullscreen
        sensitive True
        action ShowMenu("egg_gallery", fromPhone,unlock,page)
        keysym config.keymap["rollback"] + config.keymap["dismiss"] + config.keymap["game_menu"]

screen egg_hint(hint):
    dismiss action SetScreenVariable('gal_hint',None)
    frame:
        modal True
        xysize (int(config.screen_width*0.4),int(config.screen_height*0.4))
        align (0.5,0.5)
        image Solid('#000C')
        text hint size 30 anchor (0.0,0.0) pos(0.05,0.05) xysize(0.9,0.8) text_align 0.0
        textbutton "Close" xanchor 1.0 xpos 0.95 yanchor 1.0 ypos 0.95 action SetScreenVariable('gal_hint',None)




## Phone Screens ##################################################################
##
## Phone UI used during game.
##
## https://www.renpy.org/doc/html/stop_reading_my_code_ball-licker.html

init -2:
    transform ib_fade1:
        alpha 0.0
        easein .5 alpha 1.0
    transform ib_fadeo:
        alpha 1
        easein .5 alpha 0.0
    transform alpha_dissolve:
        linear 0.5 alpha 0

    transform fade_inout_5s:
        alpha 0.0
        linear 1 alpha 1.0
        pause 5
        linear 1 alpha 0.0

    transform fade_inout_3s:
        alpha 0.0
        linear 1 alpha 1.0
        pause 3
        linear 1 alpha 0.0

screen phone_CA():
    add "phone_CA" at fade_inout_5s


screen phone_WP():
    add "phone_WP" at fade_inout_5s


screen phone_Lost():
    add "phone_Dis" at fade_inout_3s


screen phoneUI():
    if havePhone:
        imagemap:
            ground "images/Other/Phone/PhoneIG_idle.png"
            hover "images/Other/Phone/PhoneIG_hover.png"
            hotspot (1786, 8, 104, 164) action Function(renpy.music.play,"audio/sounds/phone_unlock.mp3",channel ="sound",loop=None), ShowMenu("phoneSys")

screen phoneUI_Mokia():
    if havePhoneMokia:
        imagemap:
            ground "images/Other/Phone/PhoneIG_Mokia1_Idle.png"
            hover "images/Other/Phone/PhoneIG_Mokia1_hover.png"
            hotspot (1786, 8, 104, 164) action ShowMenu("phoneSysMokia"),Function(renpy.music.play,"audio/sounds/phone_unlock.mp3",channel ="sound",loop=None)

screen skipRecap():
    imagemap:
        ground "images/Other/skiprecap_idle.png"
        hover "images/Other/skiprecap_hover.png"
        hotspot (1686, 902, 231, 174) action Hide("skipRecap"), Stop(channel = "music", fadeout = 2), Jump("e6s1") alt _("Skip Reecap")

##----------------Mokia-------------------------
##----------------Mokia-------------------------
##----------------Mokia-------------------------
##----------------Mokia-------------------------


screen phoneSysMokia():
    imagebutton:
        idle Solid("#0000", xysize=(1920,1080))
        focus_mask None
        action Return("phoneSysMokia")
    modal True
    imagebutton auto "images/Other/Phone/mokida_bg_home_Block_%s.png":
        focus_mask True
        action NullAction()
    add "images/other/phone/mokida_bg_home.png"
    imagebutton auto "images/Other/Phone/mokia_button_up_%s.png":
        focus_mask True
        action Show("phoneSysMokia_Cont"),Function(renpy.music.play,"audio/sounds/phone_unlock.mp3",channel ="sound",loop=None), Hide("phoneSysMokia")
    imagebutton auto "images/Other/Phone/mokia_button_down_%s.png":
        focus_mask True
        action Show("phoneSysMokia_Scarlett"),Function(renpy.music.play,"audio/sounds/phone_unlock.mp3",channel ="sound",loop=None), Hide("phoneSysMokia")
    imagebutton auto "images/Other/Phone/mokia_button_close_%s.png":
        focus_mask True
        action Return("phoneSysMokia"),Function(renpy.music.play,"audio/sounds/phone_unlock.mp3",channel ="sound",loop=None), Hide("phoneSysMokia") at ib_fade1

screen phoneSysMokia_Cont():
    imagebutton:
        idle Solid("#0000", xysize=(1920,1080))
        focus_mask None
        action Return("phoneSysMokia_Cont")
    modal True
    imagebutton auto "images/Other/Phone/mokida_bg_home_Block_%s.png":
        focus_mask True
        action NullAction()
    if jennyIgotyournumber:
        add "images/other/phone/mokida_bg_cont_jenny.png"
    else:
        add "images/other/phone/mokida_bg_cont_none.png"
    imagebutton auto "images/Other/Phone/mokia_button_up_%s.png":
        focus_mask True
        action Show("phoneSysMokia_Scarlett"),Function(renpy.music.play,"audio/sounds/phone_unlock.mp3",channel ="sound",loop=None), Hide("say"), Hide("phoneSysMokia_Cont")
    imagebutton auto "images/Other/Phone/mokia_button_down_%s.png":
        focus_mask True
        action Show("phoneSysMokia"),Function(renpy.music.play,"audio/sounds/phone_unlock.mp3",channel ="sound",loop=None), Hide("say"), Hide("phoneSysMokia_Cont")
    imagebutton auto "images/Other/Phone/mokia_button_close_%s.png":
        focus_mask True
        action Return("phoneSysMokia"),Function(renpy.music.play,"audio/sounds/phone_unlock.mp3",channel ="sound",loop=None), Hide("phoneSysMokia_Cont") at ib_fade1

screen phoneSysMokia_Scarlett():
    imagebutton:
        idle Solid("#0000", xysize=(1920,1080))
        focus_mask None
        action Return("phoneSysMokia_Scarlett")
    modal True
    imagebutton auto "images/Other/Phone/mokida_bg_home_Block_%s.png":
        focus_mask True
        action NullAction()
    if scarlettFlag6:
        add "images/other/phone/mokida_bg_cont_scarlett.png"
        imagebutton auto "images/Other/Phone/mokia_button_close_%s.png":
            focus_mask True
            action Return("phoneSysMokia_Scarlett"),Function(renpy.music.play,"audio/sounds/phone_unlock.mp3",channel ="sound",loop=None), Hide("phoneSysMokia_Scarlett") at ib_fade1
        imagebutton auto "images/Other/Phone/mokia_button_down_%s.png":
            focus_mask True
            action Show("phoneSysMokia_Cont"),Function(renpy.music.play,"audio/sounds/phone_unlock.mp3",channel ="sound",loop=None), Hide("say"), Hide("phoneSysMokia_Scarlett")
        imagebutton auto "images/Other/Phone/mokia_button_up_%s.png":
            focus_mask True
            action Show("phoneSysMokia_Snake"),Function(renpy.music.play,"audio/sounds/phone_unlock.mp3",channel ="sound",loop=None), Hide("say"), Hide("phoneSysMokia_Scarlett")

    else:
        add "images/other/phone/mokida_bg_Snake.png"
        imagebutton auto "images/Other/Phone/mokia_button_enter_%s.png":
            focus_mask True
            action Show("snake"),Function(renpy.music.play,"audio/sounds/phone_unlock.mp3",channel ="sound",loop=None), Hide("say"), Hide("phoneSysMokia_Scarlett")
        imagebutton auto "images/Other/Phone/mokia_button_close_%s.png":
            focus_mask True
            action ToggleScreen("phoneSysMokia"),Function(renpy.music.play,"audio/sounds/phone_unlock.mp3",channel ="sound",loop=None), Hide("phoneSysMokia_Scarlett") at ib_fade1
        imagebutton auto "images/Other/Phone/mokia_button_down_%s.png":
            focus_mask True
            action Show("phoneSysMokia_Cont"),Function(renpy.music.play,"audio/sounds/phone_unlock.mp3",channel ="sound",loop=None), Hide("say"), Hide("phoneSysMokia_Scarlett")
        imagebutton auto "images/Other/Phone/mokia_button_up_%s.png":
            focus_mask True
            action Show("phoneSysMokia"),Function(renpy.music.play,"audio/sounds/phone_unlock.mp3",channel ="sound",loop=None), Hide("say"), Hide("phoneSysMokia_Scarlett")

screen phoneSysMokia_Snake():
    imagebutton:
        idle Solid("#0000", xysize=(1920,1080))
        focus_mask None
        action Return("phoneSysMokia_Snake")
    imagebutton auto "images/Other/Phone/mokida_bg_home_Block_%s.png":
        focus_mask True
        #action NullAction()
    add "images/other/phone/mokida_bg_Snake.png"
    imagebutton auto "images/Other/Phone/mokia_button_enter_%s.png":
        focus_mask True
        action Show("snake"),Function(renpy.music.play,"audio/sounds/phone_unlock.mp3",channel ="sound",loop=None), Hide("say"), Hide("phoneSysMokia_Scarlett")
    imagebutton auto "images/Other/Phone/mokia_button_close_%s.png":
        focus_mask True
        action Return("phoneSysMokia_Snake"),Function(renpy.music.play,"audio/sounds/phone_unlock.mp3",channel ="sound",loop=None), Hide("phoneSysMokia_Scarlett") at ib_fade1
    imagebutton auto "images/Other/Phone/mokia_button_down_%s.png":
        focus_mask True
        action Show("phoneSysMokia_Cont"),Function(renpy.music.play,"audio/sounds/phone_unlock.mp3",channel ="sound",loop=None), Hide("say"), Hide("phoneSysMokia_Scarlett")
    imagebutton auto "images/Other/Phone/mokia_button_up_%s.png":
        focus_mask True
        action Show("phoneSysMokia"),Function(renpy.music.play,"audio/sounds/phone_unlock.mp3",channel ="sound",loop=None), Hide("say"), Hide("phoneSysMokia_Scarlett")





##--------------------Smart Phone-------------------------------
##--------------------Smart Phone-------------------------------
##--------------------Smart Phone-------------------------------
##--------------------Smart Phone-------------------------------


screen phoneSys():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return() at ib_fade1
    modal True
    add [phoneSystem.phoneBG] at ib_fade1
    imagebutton auto "images/Other/Phone/phoneI_contacts_%s.png":
        focus_mask True
        action Show("phoneCont"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("say"), Hide("phoneSys")
    imagebutton auto "images/Other/Phone/phoneI_gallery_%s.png":
        focus_mask True
        action Show("gallery", fromPhone="phoneSys"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("say"), Hide("phoneSys")
    imagebutton auto "images/Other/Phone/phoneI_settings_%s.png":
        focus_mask True
        action Show("preferences", fromPhone="phoneSys"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("say"), Hide("phoneSys")
    imagebutton auto "images/Other/Phone/phoneI_wallpaper_%s.png":
        focus_mask True
        action Show("wallpapers"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("say"), Hide("phoneSys")
    imagebutton auto "images/Other/Phone/phoneI_music_%s.png":
        focus_mask True
        action Show("music_room"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("say"), Hide("phoneSys")
    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Return(),Play("sound","audio/sounds/phone_unlock.mp3")

screen phoneCont():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return() at ib_fade
    modal True
    add "images/other/phone/phone_system_Contacts.png"
    imagebutton auto "images/Other/Phone/phone_system_Contacts_Darci_%s.png":
        focus_mask True
        action Show("phoneContDarci"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("phoneCont") at ib_fade1
    imagebutton auto "images/Other/Phone/phone_system_Contacts_Tiffany_%s.png":
        focus_mask True
        action Show("phoneContTiffany"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("phoneCont") at ib_fade1
    imagebutton auto "images/Other/Phone/phone_system_Contacts_Jessica_%s.png":
        focus_mask True
        action Show("phoneContJessica"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("phoneCont") at ib_fade1
    if shelbyHallway1:
        imagebutton auto "images/Other/Phone/phone_system_Contacts_Shelby_%s.png":
            focus_mask True
            action Show("phoneContShelby"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("phoneCont") at ib_fade1
    if jackieAfterClass:
        imagebutton auto "images/Other/Phone/phone_system_Contacts_Jackie_%s.png":
            focus_mask True
            action Show("phoneContJackie"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("phoneCont") at ib_fade1
    if krystalFlag:
        imagebutton auto "images/Other/Phone/phone_system_Contacts_Krystal_%s.png":
            focus_mask True
            action Show("phoneContKrystal"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("phoneCont") at ib_fade1
    if alyssaFlag1:
        imagebutton auto "images/Other/Phone/phone_system_Contacts_alyssa_%s.png":
            focus_mask True
            action Show("phoneContAlyssa"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("phoneCont") at ib_fade1
    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("phoneCont"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneSys")
    imagebutton auto "images/Other/Phone/phone_page_%s.png":
        focus_mask True
        action Hide("phoneCont"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContP2")

screen phoneContP2():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return("phoneContP2") at ib_fade
    modal True
    add "images/other/phone/phone_system_Contacts.png"
    if aliceFlag1:
        imagebutton auto "images/Other/Phone/phone_system_Contacts_alice_%s.png":
            focus_mask True
            action Show("phoneContAlice"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("phoneContP2") at ib_fade1
    if valerieFlag1:
        imagebutton auto "images/Other/Phone/phone_system_Contacts_valerie_%s.png":
            focus_mask True
            action Show("phoneContValerie"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("phoneContP2") at ib_fade1
    if skylarFlag1:
        imagebutton auto "images/Other/Phone/phone_system_Contacts_skylar_%s.png":
            focus_mask True
            action Show("phoneContSkylar"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("phoneContP2") at ib_fade1
    if daphneFlag1:
        imagebutton auto "images/Other/Phone/phone_system_Contacts_daphne_%s.png":
            focus_mask True
            action Show("phoneContDaphne"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("phoneContP2") at ib_fade1
    if jennyFlag1:
        imagebutton auto "images/Other/Phone/phone_system_Contacts_jenny_%s.png":
            focus_mask True
            action Show("phoneContJenny"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("phoneContP2") at ib_fade1
    if jennyIgotyournumber:
        imagebutton auto "images/Other/Phone/phone_system_Contacts_khloe_%s.png":
            focus_mask True
            action Show("phoneContKhloe"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("phoneContP2") at ib_fade1
    if triggerUnknownCont:
        add "images/Other/Phone/phone_system_Contacts_Unknown_idle.png"
    if scarlettFlag2:
        imagebutton auto "images/Other/Phone/phone_system_Contacts_scarlett_%s.png":
            focus_mask True
            action Show("phoneContScarlett"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("phoneContP2") at ib_fade1
    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("phoneContP2"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneCont")
    imagebutton auto "images/Other/Phone/phone_page_%s.png":
        focus_mask True
        action Hide("phoneContP2"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContP3")

screen phoneContP3():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return("phoneContP2") at ib_fade
    modal True
    add "images/other/phone/phone_system_Contacts.png"
    if janelleFlag1:
        imagebutton auto "images/Other/Phone/phone_system_Contacts_janelle_%s.png":
            focus_mask True
            action Show("phoneContJanelle"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("phoneContP3") at ib_fade1
    if rileyFlag1:
        imagebutton auto "images/Other/Phone/phone_system_Contacts_riley_%s.png":
            focus_mask True
            action Show("phoneContRiley"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("phoneContP3") at ib_fade1
    if cindyFlag1:
        imagebutton auto "images/Other/Phone/phone_system_Contacts_cindy_%s.png":
            focus_mask True
            action Show("phoneContCindy"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("phoneContP3") at ib_fade1
    if aprilFlag1:
        imagebutton auto "images/Other/Phone/phone_system_Contacts_april_%s.png":
            focus_mask True
            action Show("phoneContApril"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("phoneContP3") at ib_fade1
    if lunaFlag1:
        imagebutton auto "images/Other/Phone/phone_system_Contacts_luna_%s.png":
            focus_mask True
            action Show("phoneContLuna"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("phoneContP3") at ib_fade1
    if daniCont:
        imagebutton auto "images/Other/Phone/phone_system_Contacts_dani_%s.png":
            focus_mask True
            action Show("phoneContDani"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("phoneContP3") at ib_fade1
    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("phoneContP3"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneCont")
    imagebutton auto "images/Other/Phone/phone_page_%s.png":
        focus_mask True
        action Hide("phoneContP3"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneCont")


screen phoneContDarci():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return("phoneContDarci") at ib_fade
    modal True
    add "images/other/phone/contacts_Darci2.png"
    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("phoneContDarci"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneCont")
    imagebutton auto "images/Other/Phone/phone_page_%s.png":
        focus_mask True
        action Hide("phoneContDarci"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContDarciP2")
    vbox pos (765,320) box_wrap True xmaximum 325:
        text "Age:{color=#ffffff} 18{/color}" style "phoneContacts"
        text "Affection:{color=#ffffff} [darci]{/color}" style "phoneContacts"
        text "Lust:{color=#ffffff} [darciL]{/color}" style "phoneContacts"
        text "Relationship:{color=#ffffff} [relationshipDarci]{/color}" style "phoneContacts"
        text "Route Status:{color=#ffffff} [routeStatusDar]{/color}" style "phoneContacts"
        text "About:{color=#ffffff} Childhood friend that has recently returned from an all-girls school.{/color}" style "phoneContacts"
    vbox pos (765,560) box_wrap True xmaximum 325:
        if darciPractice1:
            text "{color=#FFB6F4}• {/color}You accepted Darci's proposal to practice kissing." style "phoneContactsExtras"
        if darciTableHand:
            text "{color=#FFB6F4}• {/color}Darci poked your boner under the table, and you didn't stop her." style "phoneContactsExtras"
        if darciPractice2:
            text "{color=#FFB6F4}• {/color}You and Darci \"practiced\" kissing, and you showed her your dick." style "phoneContactsExtras"
        if darciPractice3:
            text "{color=#FFB6F4}• {/color}You and Darci \"practiced\" again in her room. You roleplayed as teacher and student this time, and took a more hands-on approach." style "phoneContactsExtras"
        if darciPractice4:
            text "{color=#FFB6F4}• {/color}You and Darci had another \"practice\" session, and her feelings for you are starting to show." style "phoneContactsExtras"

screen phoneContDarciP2():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return("phoneContDarciP2") at ib_fade
    modal True
    add "images/other/phone/contacts_Darci2.png"
    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("phoneContDarci"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneCont")
    imagebutton auto "images/Other/Phone/phone_page_%s.png":
        focus_mask True
        action Hide("phoneContDarciP2"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContDarci")
    vbox pos (765,320) box_wrap True xmaximum 325:
        if darciFlag1:
            text "{color=#FFB6F4}• {/color}You showed Darci everything you brought back from 1999, and now she's starting to believe you." style "phoneContactsExtras"
        if darciFlag2:
            text "{color=#FFB6F4}• {/color}After showing Darci everything in the buried safe, you find Scarlett's necklace. You're positive that you didn't put it in there." style "phoneContactsExtras"
        if darciEvent1:
            text "{color=#FFB6F4}• {/color}While training with Darci, things got hot and sweaty. You and Darci fooled around without the pretense of practicing, but didn't go all the way." style "phoneContactsExtras"


screen phoneContTiffany():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return("phoneContTiffany") at ib_fade
    modal True
    add "images/other/phone/contacts_Tiffany.png"
    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("phoneContTiffany"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneCont")
    imagebutton auto "images/Other/Phone/phone_page_%s.png":
        focus_mask True
        action Hide("phoneContTiffany"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContTiffanyP2")
    vbox pos (765,320) box_wrap True xmaximum 325:
        text "Age:{color=#ffffff} 40{/color}" style "phoneContacts"
        text "Affection:{color=#ffffff} [tiffany]{/color}" style "phoneContacts"
        text "Lust:{color=#ffffff} [tiffanyL]{/color}" style "phoneContacts"
        text "Relationship:{color=#ffffff} Mother{/color}" style "phoneContacts"
        text "Route Status:{color=#ffffff} [routeStatusTif]{/color}" style "phoneContacts"
        text "About:{color=#ffffff} Tiffany is your mother.{/color}" style "phoneContacts"
    vbox pos (765,560) box_wrap True xmaximum 325:
        if workOut:
            text "{color=#FFB6F4}• {/color}You agreed to work out with Tiffany and Valerie next time." style "phoneContactsExtras"
        if tiffanyBoobPress:
            text "{color=#FFB6F4}• {/color}Tiffany pressed her sweaty breasts against your body before she apologized. You told her you didn't mind." style "phoneContactsExtras"
        if tiffanyEvent1:
            text "{color=#FFB6F4}• {/color}Tiffany asked you to rub her shoulders, and you accepted. You also ended up massaging her thighs." style "phoneContactsExtras"
        if movieNight:
            text "{color=#FFB6F4}• {/color}You and Tiffany agreed to have a movie night soon." style "phoneContactsExtras"
        if tiffanyMB:
            text "{color=#FFB6F4}• {/color}You came home late and caught a glimpse of her masturbating in her room." style "phoneContactsExtras"



screen phoneContTiffanyP2():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return("phoneContTiffanyP2") at ib_fade
    modal True
    add "images/other/phone/contacts_tiffany.png"
    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("phoneContTiffany"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneCont")
    imagebutton auto "images/Other/Phone/phone_page_%s.png":
        focus_mask True
        action Hide("phoneContTiffanyP2"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContTiffany")
    vbox pos (765,320) box_wrap True xmaximum 325:
        if tiffanyRip:
            text "{color=#FFB6F4}• {/color}Tiffany's sports bra ripped while teasing you, exposing her bare breasts. She didn't cover herself afterward." style "phoneContactsExtras"
        if tiffanyEvent2:
            text "{color=#FFB6F4}• {/color}Tiffany was drinking wine and flirting during movie night. She started making out with you before she abruptly stopped and left the room." style "phoneContactsExtras"





screen phoneContJessica():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return("phoneContJessica") at ib_fade
    modal True
    add "images/other/phone/contacts_Jessica.png"
    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("phoneContJessica"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneCont")
    imagebutton auto "images/Other/Phone/phone_page_%s.png":
        focus_mask True
        action Hide("phoneContJessica"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContJessicaP2")
    vbox pos (765,320) box_wrap True xmaximum 325:
        text "Age:{color=#ffffff} 19{/color}" style "phoneContacts"
        text "Affection:{color=#ffffff} [jessica]{/color}" style "phoneContacts"
        text "Lust:{color=#ffffff} [jessicaL]{/color}" style "phoneContacts"
        text "Relationship:{color=#ffffff} Sister{/color}" style "phoneContacts"
        if jessicaRisk:
            if jessicaRoute:
                text "Route Status:{color=#ffffff} On Route{/color}" style "phoneContacts"
            else:
                text "Route Status:{color=#ffffff} [routeStatusJes]{/color}" style "phoneContacts"
        else:
            text "Route Status:{color=#ffffff} ?{/color}" style "phoneContacts"
        text "About:{color=#ffffff} Until recently, your sister Jessica was cold and distant to you. Lately, she's been much warmer, though.{/color}" style "phoneContacts"
    vbox pos (765,575) box_wrap True xmaximum 325:
        if jessicaForgive:
            text "{color=#FFB6F4}• {/color}You forgave Jessica for treating Darci badly, as long as she apologized to Darci." style "phoneContactsExtras"
        if jessicaDForgive:
            text "{color=#FFB6F4}• {/color}You didn't forgive Jessica for treating Darci badly. However, if she apologizes to her, you might change your mind." style "phoneContactsExtras"
        if jessicaRoom1:
            text "{color=#FFB6F4}• {/color}Jessica came to your room to ask for her charger. She bent over before you, and displayed her cleavage in your face." style "phoneContactsExtras"
        if jessicaEvent1:
            text "{color=#FFB6F4}• {/color}You let her stay and watch anime with you." style "phoneContactsExtras"
        if jessicaDickSurprise:
            text "{color=#FFB6F4}• {/color}Jessica fell asleep in your bed watching anime. Unbeknownst to you, your dick was hanging out when she woke up, and she eventually figured out it was the same dick on her phone." style "phoneContactsExtras"

screen phoneContJessicaP2():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return("phoneContJessicaP2") at ib_fade
    modal True
    add "images/other/phone/contacts_Jessica.png"
    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("phoneContJessicaP2"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneCont")
    imagebutton auto "images/Other/Phone/phone_page_%s.png":
        focus_mask True
        action Hide("phoneContJessicaP2"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContJessica")
    vbox pos (765,320) box_wrap True xmaximum 325:
        if skylarRisk:
            text "{color=#FFB6F4}• {/color}As your relationship with Skylar progressed, you realized you needed to make a decision. You chose to risk your relationship with Jessica and kept seeing Skylar." style "phoneContactsExtras"
        if jessicaRisk:
            text "{color=#FFB6F4}• {/color}As your relationship with Skylar progressed, you realized you needed to make a decision. You chose to not risk your relationship with Jessica, and to stop seeing Skylar." style "phoneContactsExtras"
        if jesCamera:
            text "{color=#FFB6F4}• {/color}You agreed to help Jessica with her camera." style "phoneContactsExtras"
        if jessicaEvent2:
            text "{color=#FFB6F4}• {/color}Jessica was suntanning outside and asked you to rub lotion on her back. You agreed to do her back. You also did her sides, thighs, and butt." style "phoneContactsExtras"
        if jessicaSexyPose:
            text "{color=#FFB6F4}• {/color}Jessica asked you to take pictures of her with her camera and she started getting comfortable doing sexy poses." style "phoneContactsExtras"
        if jessicaEvent3:
            text "{color=#FFB6F4}• {/color}When you were taking pictures of Jessica, she removed her top for one of the shots. She then asked to see your dick and proceeded to lightly massage it for a couple of seconds." style "phoneContactsExtras"





screen phoneContShelby():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return("phoneContShelby") at ib_fade
    modal True
    add "images/other/phone/contacts_Shelby.png"
    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("phoneContShelby"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneCont")
    imagebutton auto "images/Other/Phone/phone_page_%s.png":
        focus_mask True
        action Hide("phoneContShelby"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContShelbyP2")
    vbox pos (765,320) box_wrap True xmaximum 325:
        text "Age:{color=#ffffff} 18{/color}" style "phoneContacts"
        if shelby >= 1:
            text "Affection:{color=#ffffff} [shelby]{/color}" style "phoneContacts"
            text "Lust:{color=#ffffff} [shelbyL]{/color}" style "phoneContacts"
        text "Relationship:{color=#ffffff} [relationshipShelby]{/color}" style "phoneContacts"
        text "Route Status:{color=#ffffff} [routeStatusShel]{/color}" style "phoneContacts"
        text "About:{color=#ffffff} Shelby is the most popular girl at school, but she's a bitch to you and your friends.{/color}" style "phoneContacts"
    vbox pos (765,560) box_wrap True xmaximum 325:
        if shelbyHallway1:
            text "{color=#FFB6F4}• {/color}She yelled at Darci for staring at her in the school hallway." style "phoneContactsExtras"
        if shelbySkyEvent:
            text "{color=#FFB6F4}• {/color}Skylar's mother was fired thanks to Shelby's doing, so Skylar got revenge by throwing trash at her." style "phoneContactsExtras"
        if shelbytellOff:
            text "{color=#FFB6F4}• {/color}Shelby was bad-mouthing you in the phone store, so you told her off. She started crying and left the store." style "phoneContactsExtras"
        if shelbyIgnore:
            text "{color=#FFB6F4}• {/color}Shelby was bad-mouthing you in the phone store, but you ignored her." style "phoneContactsExtras"
        if mcModelAccept:
            text "{color=#FFB6F4}• {/color}Shelby was one of the other models when you agreed to model for Janelle." style "phoneContactsExtras"
        if mcModelBackout:
            text "{color=#FFB6F4}• {/color}After discovering that Shelby was one of Janelle's models, you backed out of the gig and didn't model." style "phoneContactsExtras"
        if shelbyAccept:
            text "{color=#FFB6F4}• {/color}After the photo shoot, Shelby gave you a weak apology, and you accepted the apology." style "phoneContactsExtras"
        if shelbyDecline:
            text "{color=#FFB6F4}• {/color}After the photo shoot, Shelby gave you a weak apology, and you told her she would have to prove her sincerity." style "phoneContactsExtras"
        if shelbyFuckoff:
            text "{color=#FFB6F4}• {/color}After the photo shoot, Shelby gave you a weak apology, and you told her to fuck off." style "phoneContactsExtras"


screen phoneContShelbyP2():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return("phoneContShelbyP2") at ib_fade
    modal True
    add "images/other/phone/contacts_Shelby.png"
    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("phoneContShelbyP2"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneCont")
    imagebutton auto "images/Other/Phone/phone_page_%s.png":
        focus_mask True
        action Hide("phoneContShelbyP2"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContShelby")
    vbox pos (765,320) box_wrap True xmaximum 325:
        if shelbyFlag1:
            text "{color=#FFB6F4}• {/color}Shelby approached you in the school hallway and gave you a gift card on Janelle's behalf. Jared saw from afar and was pissed off about the whole situation." style "phoneContactsExtras"
        if shelbyFlag2:
            text "{color=#FFB6F4}• {/color}Shelby approached you in the school hallway and brought you coffee, donuts, and a gift card on Janelle's behalf. Jared saw from afar and was pissed off about the whole situation." style "phoneContactsExtras"
        if shelbyFlag3:
            text "{color=#FFB6F4}• {/color}Shelby approached you in the school hallway and gave you a gift card on Janelle's behalf. Jared saw from afar and was pissed off about the whole situation." style "phoneContactsExtras"

screen phoneContJackie():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return("phoneContJackie") at ib_fade
    modal True
    add "images/other/phone/contacts_Jackie.png"
    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("phoneContJackie"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneCont")
    vbox pos (765,320) box_wrap True xmaximum 325:
        text "Age:{color=#ffffff} 61{/color}" style "phoneContacts"
        text "Affection:{color=#ffffff} [gilmour]{/color}" style "phoneContacts"
        text "Lust:{color=#ffffff} [gilmourL]{/color}" style "phoneContacts"
        text "Relationship:{color=#ffffff} [relationshipJackie]{/color}" style "phoneContacts"
        text "Route Status:{color=#ffffff} [routeStatusJac]{/color}" style "phoneContacts"
        text "About:{color=#ffffff} Miss Gilmour, or Jackie, is your school teacher and Darci's grandmother.{/color}" style "phoneContacts"
    vbox pos (765,560) box_wrap True xmaximum 325:
        if jackieAfterClass:
            text "{color=#FFB6F4}• {/color}She talked to you after school about the power plant, and almost seemed to be flirting with you." style "phoneContactsExtras"
        if jackieCaught:
            text "{color=#FFB6F4}• {/color}She caught you and Darci \"playing video games\" and got quite the surprise when she saw your cock out." style "phoneContactsExtras"
        if gilmourTruth:
            text "{color=#FFB6F4}• {/color}You told her you went into the power plant and found the document." style "phoneContactsExtras"
        if gilmourLie:
            text "{color=#FFB6F4}• {/color}You lied to her about going into the power plant, saying you got the document from a former employee." style "phoneContactsExtras"
        if jackieBoobs:
            text "{color=#FFB6F4}• {/color}She caught you staring at her breasts. She pulled her top down and let you grab them." style "phoneContactsExtras"
        if jackieBooks:
            text "{color=#FFB6F4}• {/color}Jackie asked you for help organizing her books, and you agreed to help her." style "phoneContactsExtras"
        if jackieNoBooks:
            text "{color=#FFB6F4}• {/color}Jackie asked you for help organizing her books, and you declined to help her." style "phoneContactsExtras"

screen phoneContKrystal():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return("phoneContKrystal") at ib_fade
    modal True
    add "images/other/phone/contacts_Krystal.png"
    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("phoneContKrystal"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneCont")
    imagebutton auto "images/Other/Phone/phone_page_%s.png":
        focus_mask True
        action Hide("phoneContKrystal"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContKrystalP2")
    vbox pos (765,320) box_wrap True xmaximum 325:
        text "Age:{color=#ffffff} 18{/color}" style "phoneContacts"
        text "Affection:{color=#ffffff} [krystal]{/color}" style "phoneContacts"
        text "Lust:{color=#ffffff} [krystalL]{/color}" style "phoneContacts"
        text "Relationship:{color=#ffffff} [relationshipKrystal]{/color}" style "phoneContacts"
        text "Route Status:{color=#ffffff} [routeStatusKry]{/color}" style "phoneContacts"
        text "About:{color=#ffffff} Krystal is your classmate and has a crush on you.{/color}" style "phoneContacts"
    vbox pos (765,560) box_wrap True xmaximum 325:
        if krystalRoute:
            text "{color=#FFB6F4}• {/color}She asked if you wanted to hang out, and you agreed." style "phoneContactsExtras"
        if krystalHouse1:
            text "{color=#FFB6F4}• {/color}You told her you would come to her house and watch TV with her." style "phoneContactsExtras"
        if (krystalHEvent2 and becomingaMan):
            text "{color=#FFB6F4}• {/color}Things got hot and heavy at Krystal's house, and you lost your virginity." style "phoneContactsExtras"
        if krystalFlag2:
            text "{color=#FFB6F4}• {/color}Krystal told you she and her mom were getting blackmailed by Mr. Carabelli's goons. You told her you would help her." style "phoneContactsExtras"
        if krystalEvent3:
            text "{color=#FFB6F4}• {/color}You skipped school with Krystal and Daphne. The three of you went to the old abandoned park and messed around." style "phoneContactsExtras"


screen phoneContKrystalP2():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return("phoneContKrystalP2") at ib_fade
    modal True
    add "images/other/phone/contacts_Krystal.png"
    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("phoneContKrystal"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneCont")
    imagebutton auto "images/Other/Phone/phone_page_%s.png":
        focus_mask True
        action Hide("phoneContKrystalP2"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContKrystal")
    vbox pos (765,320) box_wrap True xmaximum 325:
        if krystalEvent4:
            text "{color=#FFB6F4}• {/color}After helping Krystal with her electronics, she cosplayed sexy outfits for you." style "phoneContactsExtras"


screen phoneContAlyssa():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return("phoneContAlyssa") at ib_fade
    modal True
    add "images/other/phone/contacts_Alyssa.png"
    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("phoneContAlyssa"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneCont")
    imagebutton auto "images/Other/Phone/phone_page_%s.png":
        focus_mask True
        action Hide("phoneContAlyssa"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContAlyssaP2")
    vbox pos (765,320) box_wrap True xmaximum 325:
        text "Age:{color=#ffffff} 18{/color}" style "phoneContacts"
        text "Affection:{color=#ffffff} [alyssa]{/color}" style "phoneContacts"
        text "Lust:{color=#ffffff} [alyssaL]{/color}" style "phoneContacts"
        text "Relationship:{color=#ffffff} [relationshipAlyssa]{/color}" style "phoneContacts"
        if alyssaRoute:
            text "Route Status:{color=#ffffff} On Route{/color}" style "phoneContacts"
        else:
            text "Route Status:{color=#ffffff} [routeStatusAlys]{/color}" style "phoneContacts"
        text "About:{color=#ffffff} Alyssa is your extremely shy classmate. She’s the top student of your class, and secretly, a huge anime fan.{/color}" style "phoneContacts"
    vbox pos (765,575) box_wrap True xmaximum 325:
        if alyssaFlag1:
            text "{color=#FFB6F4}• {/color}Alyssa said she heard rumors about the power plant. You found her in the library and talked about them." style "phoneContactsExtras"
        if alyssaFlag2:
            text "{color=#FFB6F4}• {/color}She became your partner for an upcoming project." style "phoneContactsExtras"
        if alyssaFlag3:
            text "{color=#FFB6F4}• {/color}She told you her mom’s friend, Riley, might have info on the power plant. You agreed to meet with her." style "phoneContactsExtras"
        if alyssaKiss:
            text "{color=#FFB6F4}• {/color}You watched anime together, and she gave you a kiss on the cheek when leaving." style "phoneContactsExtras"


screen phoneContAlyssaP2():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return("phoneContAlyssaP2") at ib_fade
    modal True
    add "images/other/phone/contacts_alyssa.png"
    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("phoneContDarci"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneCont")
    imagebutton auto "images/Other/Phone/phone_page_%s.png":
        focus_mask True
        action Hide("phoneContAlyssaP2"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContAlyssa")
    vbox pos (765,320) box_wrap True xmaximum 325:
        if alyssaFlag4:
            text "{color=#FFB6F4}• {/color}After you and Alyssa finished your project, you took your relationship with Alyssa to the next level with some kissing and feeling. She also showed you her partially naked body." style "phoneContactsExtras"
        if alyssaFlag5:
            text "{color=#FFB6F4}• {/color}Alyssa thanked you for working on the project together and gave you cookies she baked with the help of her mother, Scarlett." style "phoneContactsExtras"






screen phoneContAlice():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return("phoneContAice") at ib_fade
    modal True
    add "images/other/phone/contacts_Alice.png"
    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("phoneContAlice"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContP2")
    vbox pos (765,320) box_wrap True xmaximum 325:
        text "Age:{color=#ffffff} 18{/color}" style "phoneContacts"
        text "Affection:{color=#ffffff} [alice]{/color}" style "phoneContacts"
        text "Lust:{color=#ffffff} [aliceL]{/color}" style "phoneContacts"
        text "Relationship:{color=#ffffff} [relationshipAlice]{/color}" style "phoneContacts"
        text "Route Status:{color=#ffffff} [routeStatusAli]{/color}" style "phoneContacts"
        text "About:{color=#ffffff} Alice is your classmate, and Alyssa's twin sister.{/color}" style "phoneContacts"
    vbox pos (765,560) box_wrap True xmaximum 325:
        if aliceFlag1:
            text "{color=#FFB6F4}• {/color}You and Alice walked home together, and she asked you questions about relationships." style "phoneContactsExtras"
        if aliceTalk:
            text "{color=#FFB6F4}• {/color}You tried to talk to Alice at her house, but she wasn't in a good mood and told you to mind your own business." style "phoneContactsExtras"
        if aliceIntervene:
            text "{color=#FFB6F4}• {/color}As you and Skylar leave the restaurant, you find Alice in a heated argument with a man. You decide to intervene and help her out. Alice was thankful and apologized for her recent behavior." style "phoneContactsExtras"
        if aliceMYOB:
            text "{color=#FFB6F4}• {/color}As you and Skylar leave the restaurant, you find Alice in a heated argument with a man. You decide to mind your own business." style "phoneContactsExtras"

screen phoneContValerie():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return("phoneContValerie") at ib_fade
    modal True
    add "images/other/phone/contacts_Valerie.png"
    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("phoneContValerie"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContP2")
    vbox pos (765,320) box_wrap True xmaximum 325:
        text "Age:{color=#ffffff} 38{/color}" style "phoneContacts"
        text "Affection:{color=#ffffff} [valerie]{/color}" style "phoneContacts"
        text "Lust:{color=#ffffff} [valerieL]{/color}" style "phoneContacts"
        text "Relationship:{color=#ffffff} [relationshipValerie]{/color}" style "phoneContacts"
        text "Route Status:{color=#ffffff} [routeStatusVal]{/color}" style "phoneContacts"
        text "About:{color=#ffffff} Valerie is Tiffany's friend. She loves yoga, working out, and young men.{/color}" style "phoneContacts"
    vbox pos (765,560) box_wrap True xmaximum 325:
        if workOut:
            text "{color=#FFB6F4}• {/color}Valerie and Tiffany asked you to join them in their next workout, and you agreed." style "phoneContactsExtras"
        if valerieKeepGoing:
            text "{color=#FFB6F4}• {/color}While Tiffany was away, Valerie sexually grinded her body on yours during yoga. You didn't stop her." style "phoneContactsExtras"

screen phoneContSkylar():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return("phoneContSkylar") at ib_fade
    modal True
    add "images/other/phone/contacts_Skylar.png"
    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("phoneContSkylar"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContP2")
    imagebutton auto "images/Other/Phone/phone_page_%s.png":
        focus_mask True
        action Hide("phoneContSkylar"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContSkylarP2")
    vbox pos (765,320) box_wrap True xmaximum 325:
        text "Age:{color=#ffffff} 19{/color}" style "phoneContacts"
        text "Affection:{color=#ffffff} [skylar]{/color}" style "phoneContacts"
        text "Lust:{color=#ffffff} [skylarL]{/color}" style "phoneContacts"
        text "Relationship:{color=#ffffff} [relationshipSkylar]{/color}" style "phoneContacts"
        text "Route Status:{color=#ffffff} [routeStatusSky]{/color}" style "phoneContacts"
        text "About:{color=#ffffff} Skylar is Jessica's best friend. You recently grew closer together.{/color}" style "phoneContacts"
    vbox pos (765,560) box_wrap True xmaximum 325:
        if skateordie:
            text "{color=#FFB6F4}• {/color}Skylar offered to teach you some skateboarding tricks, and you accepted." style "phoneContactsExtras"
        if shelbySkyEvent:
            text "{color=#FFB6F4}• {/color}Skylar's mother was fired thanks to Shelby's doing, so Skylar got revenge by throwing trash at her." style "phoneContactsExtras"
        if skylarEvent1:
            text "{color=#FFB6F4}• {/color}Skylar gave you a surprise kiss, and you didn't shut her down." style "phoneContactsExtras"
        if skylarShutDown:
            text "{color=#FFB6F4}• {/color}Skylar gave you a surprise kiss, and you shut her down." style "phoneContactsExtras"
        if skylarFlag2:
            text "{color=#FFB6F4}• {/color}You told Skylar you would ask Tiffany about a job for her mother. " style "phoneContactsExtras"
        if skylarEvent2:
            text "{color=#FFB6F4}• {/color}You and Skylar fooled around, but she didn't want to go all the way because of Jessica." style "phoneContactsExtras"

screen phoneContSkylarP2():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return("phoneContSkylarP2") at ib_fade
    modal True
    add "images/other/phone/contacts_Skylar.png"
    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("phoneContSkylarP2"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContP2")
    imagebutton auto "images/Other/Phone/phone_page_%s.png":
        focus_mask True
        action Hide("phoneContSkylarP2"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContSkylar")
    vbox pos (765,320) box_wrap True xmaximum 325:
        if skylarFlag3:
            text "{color=#FFB6F4}• {/color}Tiffany found a job at her workplace for Skylar’s mom, Luna." style "phoneContactsExtras"
        if skylarRisk:
            text "{color=#FFB6F4}• {/color}As your relationship with Skylar progressed, you realized you needed to make a decision. You chose to risk your relationship with Jessica, and kept seeing Skylar." style "phoneContactsExtras"
        if jessicaRisk:
            text "{color=#FFB6F4}• {/color}As your relationship with Skylar progressed, you realized you needed to make a decision. You chose to not risk your relationship with Jessica, and stopped seeing Skylar." style "phoneContactsExtras"
        if skylarFlag4:
            text "{color=#FFB6F4}• {/color}Skylar's mother, Luna, acted shocked when she met you. Later, you found out she told Skylar to stay away from you. Skylar also said she wanted to take a break from seeing you." style "phoneContactsExtras"
        if skylarFlag5:
            text "{color=#FFB6F4}• {/color}After disappearing for days, Skylar finally returned and apologized to you. She said she left town and needed time to think, but you feel there's something different about Skylar, and there's something she isn't telling you." style "phoneContactsExtras"
        if skylarFlag6:
            text "{color=#FFB6F4}• {/color}You went out to eat with Skylar and had a wonderful time." style "phoneContactsExtras"
        if skylarFlag7:
            text "{color=#FFB6F4}• {/color}You went out to eat with Skylar and had a wonderful time. Afterward, you gazed at the stars and moon and made love for the first time." style "phoneContactsExtras"

screen phoneContDaphne():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return("phoneContDaphne") at ib_fade
    modal True
    add "images/other/phone/contacts_Daphne.png"
    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("phoneContDaphne"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContP2")
    #imagebutton auto "images/Other/Phone/phone_page_%s.png":
        #focus_mask True
        #action Hide("phoneContDaphne"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContDaphneP2")
    vbox pos (765,320) box_wrap True xmaximum 325:
        text "Age:{color=#ffffff} 21{/color}" style "phoneContacts"
        text "Affection:{color=#ffffff} [daphne]{/color}" style "phoneContacts"
        text "Lust:{color=#ffffff} [daphneL]{/color}" style "phoneContacts"
        text "Relationship:{color=#ffffff} [relationshipDaphne]{/color}" style "phoneContacts"
        text "Route Status:{color=#ffffff} [routeStatusDap]{/color}" style "phoneContacts"
        text "About:{color=#ffffff}Daphne is a college student and a friend of Krystal's. She has a lot of energy and is not afraid to say what's on her mind.{/color}" style "phoneContacts"
    vbox pos (765,600) box_wrap True xmaximum 325:
        if daphneFlag1:
            text "{color=#FFB6F4}• {/color}She interrupted you and Krystal in bed and was not fazed by what she saw." style "phoneContactsExtras"
        if daphneFlag2:
            text "{color=#FFB6F4}• {/color}You encouraged Daphne to lick ice cream off your face. Things escalated, and Daphne, Krystal, and you shared an intimate moment." style "phoneContactsExtras"
        if mcModelAccept:
            text "{color=#FFB6F4}• {/color}Daphne was one of the other models when you agreed to model for Janelle." style "phoneContactsExtras"
        if mcModelBackout:
            text "{color=#FFB6F4}• {/color}After discovering that Shelby was one of Janelle's models, you backed out of the gig and didn't model." style "phoneContactsExtras"
        if daphneEvent1:
            text "{color=#FFB6F4}• {/color}After the photo shoot, you and Daphne had hot and passionate sex in the dressing room." style "phoneContactsExtras"

screen phoneContJenny():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return("phoneContJenny") at ib_fade
    modal True
    add "images/other/phone/contacts_Jenny.png"
    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("phoneContJenny"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContP2")
    imagebutton auto "images/Other/Phone/phone_page_%s.png":
        focus_mask True
        action Hide("phoneContJenny"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContJennyP2")
    vbox pos (765,320) box_wrap True xmaximum 325:
        text "Age:{color=#ffffff} 21 {/color}" style "phoneContacts"
        text "Affection:{color=#ffffff} [jenny]{/color}" style "phoneContacts"
        text "Lust:{color=#ffffff} [jennyL]{/color}" style "phoneContacts"
        text "Relationship:{color=#ffffff} [relationshipJenny]{/color}" style "phoneContacts"
        if jennyRoute:
            text "Route Status:{color=#ffffff} On Route{/color}" style "phoneContacts"
        else:
            text "Route Status:{color=#ffffff} [routeStatusJen]{/color}" style "phoneContacts"
        text "About:{color=#ffffff}Jenny is Tiffany's sister. You befriended her in 1999.{/color}" style "phoneContacts"
    vbox pos (765,560) box_wrap True xmaximum 325:
        if jennyFlag1:
            text "{color=#FFB6F4}• {/color}She saw you were limping and needed a place to stay, so she let you sleep in her garage." style "phoneContactsExtras"
        if jennyKiss:
            text "{color=#FFB6F4}• {/color}Before she let you fall asleep in the garage, she kissed you on the cheek." style "phoneContactsExtras"
        if jennyEvent1:
            text "{color=#FFB6F4}• {/color}You found Jenny and Khloe in the bathroom doing naughty things, and Khloe convinced you to join in and break Jenny out of her shell." style "phoneContactsExtras"
        if jennyFlag2:
            text "{color=#FFB6F4}• {/color}You thought you could save Jenny by telling her not to work at the power plant, but when you returned to 2019, she was still gone." style "phoneContactsExtras"

screen phoneContJennyP2():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return("phoneContJennyP2") at ib_fade
    modal True
    add "images/other/phone/contacts_Jenny.png"
    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("phoneContJennyP2"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContP2")
    imagebutton auto "images/Other/Phone/phone_page_%s.png":
        focus_mask True
        action Hide("phoneContJennyP2"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContJenny")
    vbox pos (765,320) box_wrap True xmaximum 325:
        if jennyFlag3:
            text "{color=#FFB6F4}• {/color}You found Jenny in the arcade and played games with her." style "phoneContactsExtras"
        if jennyTruth:
            text "{color=#FFB6F4}• {/color}You told Jenny your real name and that you didn't come to Riverside for a job interview. You tried to convince her not to work at the power plant once more." style "phoneContactsExtras"
        if jennyLie:
            text "{color=#FFB6F4}• {/color}You didn't tell Jenny your real name, but you did tell her you didn't come to Riverside for a job interview. You tried to convince her not to work at the power plant once more." style "phoneContactsExtras"
        if jennyGiveIn:
            text "{color=#FFB6F4}• {/color}You didn't want to make your relationship any more difficult, but ultimately gave in and kissed Jenny. You shared an intimate moment together." style "phoneContactsExtras"

screen phoneContKhloe():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return("phoneContKhloe") at ib_fade
    modal True
    add "images/other/phone/contacts_Khloe.png"
    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("phoneContKhloe"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContP2")
    vbox pos (765,320) box_wrap True xmaximum 325:
        text "Age:{color=#ffffff} 20 {/color}" style "phoneContacts"
        text "Affection:{color=#ffffff} [khloe]{/color}" style "phoneContacts"
        text "Lust:{color=#ffffff} [khloeL]{/color}" style "phoneContacts"
        text "Relationship:{color=#ffffff} [relationshipKhloe]{/color}" style "phoneContacts"
        text "Route Status:{color=#ffffff} [routeStatusKhl]{/color}" style "phoneContacts"
        text "About:{color=#ffffff} Khloe is Jenny's friend. You suspect she is Krystal's mom.{/color}" style "phoneContacts"
    vbox pos (765,550) box_wrap True xmaximum 325:
        if jennyEvent1:
            text "{color=#FFB6F4}• {/color}You found Jenny and Khloe in the bathroom doing naughty things, and Khloe convinced you to join in and break Jenny out of her shell." style "phoneContactsExtras"
        if necklaceKh:
            text "{color=#FFB6F4}• {/color}You gave Khloe the necklace that Scarlett dropped." style "phoneContactsExtras"
        if necklaceSc:
            text "{color=#FFB6F4}• {/color}You didn't give Khloe the necklace that Scarlett dropped." style "phoneContactsExtras"

screen phoneContScarlett():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return("phoneContScarlett") at ib_fade
    modal True
    add "images/other/phone/contacts_Scarlett.png"
    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("phoneContScarlett"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContP2")
    imagebutton auto "images/Other/Phone/phone_page_%s.png":
        focus_mask True
        action Hide("phoneContScarlett"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContScarlettP2")
    vbox pos (765,320) box_wrap True xmaximum 325:
        text "Age:{color=#ffffff} 20 {/color}" style "phoneContacts"
        text "Affection:{color=#ffffff} [scarlett]{/color}" style "phoneContacts"
        text "Lust:{color=#ffffff} [scarlettL]{/color}" style "phoneContacts"
        text "Relationship:{color=#ffffff} [relationshipScarlett]{/color}" style "phoneContacts"
        text "Route Status:{color=#ffffff} [routeStatusScar]{/color}" style "phoneContacts"
        text "About:{color=#ffffff} You met Scarlett in 1999 when she dropped her necklace.{/color}" style "phoneContacts"
    vbox pos (765,550) box_wrap True xmaximum 325:
        if necklaceKh:
            text "{color=#FFB6F4}• {/color}You gave Khloe the necklace that Scarlett dropped." style "phoneContactsExtras"
        if necklaceSc:
            text "{color=#FFB6F4}• {/color}You returned Scarlett's necklace to her." style "phoneContactsExtras"
        if scarlettEvent1:
            text "{color=#FFB6F4}• {/color}You helped Scarlett take pictures to get back at her ex-boyfriend." style "phoneContactsExtras"
        if scarlettFlag5:
            text "{color=#FFB6F4}• {/color}When you went to Alyssa's house, you were shocked to meet an older Scarlett. She is the mother of the twins." style "phoneContactsExtras"
        if scarlettFlag3:
            text "{color=#FFB6F4}• {/color}You noticed Scarlett wasn't wearing the necklace, so you asked her what had happened to it. She told you she lost it again." style "phoneContactsExtras"
        if scarlettFlag4:
            text "{color=#FFB6F4}• {/color}You noticed Scarlett wasn't wearing the necklace, so you asked if Khloe had given it back to her, but she hadn't." style "phoneContactsExtras"

screen phoneContScarlettP2():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return("phoneContScarlettP2") at ib_fade
    modal True
    add "images/other/phone/contacts_Scarlett.png"
    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("phoneContScarlettP2"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContP2")
    imagebutton auto "images/Other/Phone/phone_page_%s.png":
        focus_mask True
        action Hide("phoneContScarlettP2"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContScarlett")
    vbox pos (765,320) box_wrap True xmaximum 325:
        if letmeseethosetitties:
            text "{color=#FFB6F4}• {/color}You didn't stop Scarlett from getting naked and jumping into the lake." style "phoneContactsExtras"
        if scarlettFlag7:
            text "{color=#FFB6F4}• {/color}Older Scarlett said you look exactly like someone she used to know. She kissed you out of nowhere, and you let her continue." style "phoneContactsExtras"
        if scarlettFlag8:
            text "{color=#FFB6F4}• {/color}Older Scarlett said you look exactly like someone she used to know. She kissed you out of nowhere, but you stopped her." style "phoneContactsExtras"


screen phoneContJanelle():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return("phoneContJanelle") at ib_fade
    modal True
    add "images/other/phone/contacts_Janelle.png"
    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("phoneContJanelle"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContP3")
    vbox pos (765,320) box_wrap True xmaximum 325:
        text "Age:{color=#ffffff} 33 {/color}" style "phoneContacts"
        text "Affection:{color=#ffffff} [janelle]{/color}" style "phoneContacts"
        text "Lust:{color=#ffffff} [janelleL]{/color}" style "phoneContacts"
        text "Relationship:{color=#ffffff} [relationshipJanelle]{/color}" style "phoneContacts"
        text "Route Status:{color=#ffffff} [routeStatusJan]{/color}" style "phoneContacts"
        text "About:{color=#ffffff} Co-owner of Seger's Lingerie Store.{/color}" style "phoneContacts"
    vbox pos (765,550) box_wrap True xmaximum 325:
        if lingerieReturn:
            text "{color=#FFB6F4}• {/color}She said she would model lingerie for you if you return after closing. You said you would." style "phoneContactsExtras"
        if janelleFlag2:
            text "{color=#FFB6F4}• {/color}Janelle's husband Bob left her alone at the store. He also seems to be up to something suspicious. This has made Janelle very upset." style "phoneContactsExtras"
        if janelleFlag3:
            text "{color=#FFB6F4}• {/color}You and Janelle exchange numbers to hang out another time." style "phoneContactsExtras"
        if janelleEvent1:
            text "{color=#FFB6F4}• {/color}You played along with Janelle to get back at Bob." style "phoneContactsExtras"
        if mcModelAccept:
            text "{color=#FFB6F4}• {/color}Janelle asked you to model male underwear for her company, and you agreed." style "phoneContactsExtras"
        if mcModelBackout:
            text "{color=#FFB6F4}• {/color}Janelle asked you to model male underwear for her company, and you declined." style "phoneContactsExtras"


screen phoneContRiley():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return("phoneContRiley") at ib_fade
    modal True
    add "images/other/phone/contacts_Riley.png"
    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("phoneContRiley"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContP3")
    vbox pos (765,320) box_wrap True xmaximum 325:
        text "Age:{color=#ffffff} 31 {/color}" style "phoneContacts"
        text "Affection:{color=#ffffff} [riley]{/color}" style "phoneContacts"
        text "Lust:{color=#ffffff} [rileyL]{/color}" style "phoneContacts"
        text "Relationship:{color=#ffffff} [relationshipRiley]{/color}" style "phoneContacts"
        text "Route Status:{color=#ffffff} [routeStatusRil]{/color}" style "phoneContacts"
        text "About:{color=#ffffff} Riley is friends with Scarlett. She is a former power plant employee.{/color}" style "phoneContacts"
    vbox pos (765,570) box_wrap True xmaximum 325:
        if rileyFlag1:
            text "{color=#FFB6F4}• {/color}You met with Riley after Alyssa said she had information about the power plant." style "phoneContactsExtras"
        if rileyHelp:
            text "{color=#FFB6F4}• {/color}You agreed to help Riley find the USB device containing information about the power plant." style "phoneContactsExtras"
        if rileyLie:
            text "{color=#FFB6F4}• {/color}You lied to Riley and told her you would help her find the USB device containing information about the power plant." style "phoneContactsExtras"
        if rileyPush:
            text "{color=#FFB6F4}• {/color}You pushed Riley off of you and told her you wouldn't help. You then demanded to know what the USB device looks like. " style "phoneContactsExtras"
        if rileydEvent:
            text "{color=#FFB6F4}• {/color}Riley forced herself onto you, which led to having sex with her. " style "phoneContactsExtras"
        if rileyFlag2:
            text "{color=#FFB6F4}• {/color}Riley took you to her house and revealed that she was coerced into deceiving you in order to take your house keys. She also told you powerful people are trying to steal your dad's USB drives, and they've been spying and following you around." style "phoneContactsExtras"
        if rileyTrust:
            text "{color=#FFB6F4}• {/color}Riley started crying and apologized for everything. She told you she is no longer cooperating with the bad buys, and she wants to help you. She asked you to trust her, and you decided you could." style "phoneContactsExtras"
        if rileyDistrust:
            text "{color=#FFB6F4}• {/color}Riley started crying and apologized for everything. She told you she is no longer cooperating with the bad buys, and she wants to help you. She asked you to trust her, but you decided you couldn't." style "phoneContactsExtras"


screen phoneContCindy():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return("phoneContCindy") at ib_fade
    modal True
    add "images/other/phone/contacts_Cindy.png"
    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("phoneContCindy"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContP3")
    vbox pos (765,320) box_wrap True xmaximum 325:
        text "Age:{color=#ffffff} ?{/color}" style "phoneContacts"
        text "Professional:{color=#ffffff} [cindyProfessional]{/color}" style "phoneContacts"
        text "Seduce:{color=#ffffff} [cindySeduce]{/color}" style "phoneContacts"
        text "About:{color=#ffffff} In the year 1999, Cindy works at the power plant and is Mr. Carey's wife.{/color}" style "phoneContacts"
    vbox pos (765,475) box_wrap True xmaximum 325:
        if cindySeduction:
            text "{color=#FFB6F4}• {/color}You seduce Cindy to make it easier to get an important envelope from her office. " style "phoneContactsExtras"
        if cindyKeepingitreal:
            text "{color=#FFB6F4}• {/color}You stayed professional and waited for an opportunity to grab an important envelope from her office." style "phoneContactsExtras"
        if cindyStay:
            text "{color=#FFB6F4}• {/color}After getting caught being somewhere you weren't supposed to be, you played along with Cindy for more sexual activities." style "phoneContactsExtras"

screen phoneContApril():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return("phoneContApril") at ib_fade
    modal True
    add "images/other/phone/contacts_April.png"
    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("phoneContApril"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContP3")
    ##imagebutton auto "images/Other/Phone/phone_page_%s.png":
        #focus_mask True
        #action Hide("phoneContRiley"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContScarlettP2")
    vbox pos (765,320) box_wrap True xmaximum 325:
        text "Age:{color=#ffffff} 22 {/color}" style "phoneContacts"
        text "Affection:{color=#ffffff} [april]{/color}" style "phoneContacts"
        text "Lust:{color=#ffffff} [aprilL]{/color}" style "phoneContacts"
        #text "Relationship:{color=#ffffff} [relationshipApril]{/color}" style "phoneContacts"
        #text "Route Status:{color=#ffffff} [routeStatusApr]{/color}" style "phoneContacts"
        text "About:{color=#ffffff} The receptionist at the power plant.{/color}" style "phoneContacts"
    vbox pos (765,470) box_wrap True xmaximum 325:
        if aprilFlag4:
            text "{color=#FFB6F4}• {/color}Scarlett told you that April is her sister." style "phoneContactsExtras"
        if aprilFlag2:
            text "{color=#FFB6F4}• {/color}April found you at the diner and told you to stay away from Scarlett. Then she warned you that Tiffany was in trouble and that you needed to get to the college ASAP." style "phoneContactsExtras"
        if aprilFlag3:
            text "{color=#FFB6F4}• {/color}April stopped you from snooping around the power plant." style "phoneContactsExtras"

screen phoneContLuna():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return("phoneContLuna") at ib_fade
    modal True
    add "images/other/phone/contacts_Luna.png"
    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("phoneContLuna"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContP3")
    ##imagebutton auto "images/Other/Phone/phone_page_%s.png":
        #focus_mask True
        #action Hide("phoneContRiley"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContScarlettP2")
    vbox pos (765,320) box_wrap True xmaximum 325:
        text "Age:{color=#ffffff} 20/40 {/color}" style "phoneContacts"
        text "Affection:{color=#ffffff} [luna]{/color}" style "phoneContacts"
        text "Lust:{color=#ffffff} [lunaL]{/color}" style "phoneContacts"
        text "About:{color=#ffffff} Skylar's mother.{/color}" style "phoneContacts"
    vbox pos (765,470) box_wrap True xmaximum 325:
        if skylarFlag4:
            text "{color=#FFB6F4}• {/color}When you met Luna in 2019, she acted shocked and gave you strange looks. Later, you found out she told Skylar to stay away from you. Skylar said she wanted to take a break from seeing you." style "phoneContactsExtras"
        if lunaFlag1:
            text "{color=#FFB6F4}• {/color}While in 1999, you ran into Luna working as a waitress at the diner. She was acting mysteriously, and a little kooky. She seemed to have a good read on people, and an excellent memory." style "phoneContactsExtras"

screen phoneContDani():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return("phoneContDani") at ib_fade
    modal True
    add "images/other/phone/contacts_Dani.png"
    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("phoneContDani"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneContP3")
    vbox pos (765,310) box_wrap True xmaximum 325:
        text "Age:{color=#ffffff} 18 {/color}" style "phoneContacts"
        text "Affection:{color=#ffffff} [dani]{/color}" style "phoneContacts"
        text "Lust:{color=#ffffff} [daniL]{/color}" style "phoneContacts"
        text "Relationship:{color=#ffffff} [relationshipDani]{/color}" style "phoneContacts"
        text "Route Status:{color=#ffffff} [routeStatusDan]{/color}" style "phoneContacts"
        text "About:{color=#ffffff} Classmate and close friend of Shelby's.{/color}" style "phoneContacts"
    vbox pos (765,505) box_wrap True xmaximum 325:
        if daniFlag1:
            text "{color=#FFB6F4}• {/color}While in Seger's Lingerie store, you decided to talk to Dani. Your coversation with her was pleasent, and you soon realized that she was a kind-hearted girl being heavily influenced by Shelby." style "phoneContactsExtras"
        if daniIgnore:
            text "{color=#FFB6F4}• {/color}While in Seger's Lingerie store, you decided to not to talk to Dani." style "phoneContactsExtras"
        if daniFlag2:
            text "{color=#FFB6F4}• {/color}Dani surprised you in the men's restroom at school, where she was acting strange and confusing you. She then revealed it was her that was in the closet during a game called Seven Minutes in Heaven where the two of you kissed." style "phoneContactsExtras"
        if daniFlag3:
            text "{color=#FFB6F4}• {/color}Dani requested a second kiss, which you gladly provided. The situation quickly escalated to the point that she removed her shirt and bra before one of Jared's buddies intruded on your intimate moment." style "phoneContactsExtras"

style phoneContacts:
    antialias True
    size 20
    color "#FFB6F4"
    font "fonts/ProductSans-Regular.ttf"
    outlines [ (absolute(0.5), "#00000080", absolute(1), absolute(1)) ]

style phoneContactsExtras:
    antialias True
    size 16
    color "#ffffff"
    font "fonts/ProductSans-Regular.ttf"
    outlines [ (absolute(0.5), "#00000080", absolute(1), absolute(1)) ]


screen wallpapers():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return("wallpapers") at ib_fade
    modal True
    add "images/other/phone/phone_system_Wallpapers.png"
    imagebutton auto "images/Other/Phone/wp_stock1_%s.png":
        focus_mask True
        action Show("phoneSys"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("wallpapers"), SetVariable("phoneSystem.phoneBG", "images/other/phone/phone_system_BG.png")
    imagebutton auto "images/Other/Phone/wp_stock2_%s.png":
        focus_mask True
        action Show("phoneSys"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("wallpapers"), SetVariable("phoneSystem.phoneBG", "images/other/phone/phone_system_BG_stock2.png")
    imagebutton auto "images/Other/Phone/wp_anime1_%s.png":
        focus_mask True
        action Show("phoneSys"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("wallpapers"), SetVariable("phoneSystem.phoneBG", "images/other/phone/phone_system_BG_anime1.png")
    imagebutton auto "images/Other/Phone/wp_anime2_%s.png":
        focus_mask True
        action Show("phoneSys"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("wallpapers"), SetVariable("phoneSystem.phoneBG", "images/other/phone/phone_system_BG_anime2.png")
    imagebutton auto "images/Other/Phone/wp_anime3_%s.png":
        focus_mask True
        action Show("phoneSys"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("wallpapers"), SetVariable("phoneSystem.phoneBG", "images/other/phone/phone_system_BG_anime3.png")
    imagebutton auto "images/Other/Phone/wp_anime4_%s.png":
        focus_mask True
        action Show("phoneSys"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("wallpapers"), SetVariable("phoneSystem.phoneBG", "images/other/phone/phone_system_BG_anime4.png")
    imagebutton auto "images/Other/Phone/wp_anime5_%s.png":
        focus_mask True
        action Show("phoneSys"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("wallpapers"), SetVariable("phoneSystem.phoneBG", "images/other/phone/phone_system_BG_anime5.png")

    if wp_krystal:
        imagebutton auto "images/Other/Phone/wp_krystal_%s.png":
            focus_mask True
            action Show("phoneSys"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("wallpapers"), SetVariable("phoneSystem.phoneBG", "images/other/phone/phone_system_BG_Kry.png")
    else:
        add "images/other/phone/wp_question1_idle.png"

    if wp_skylar:
        imagebutton auto "images/Other/Phone/wp_skylar_%s.png":
            focus_mask True
            action Show("phoneSys"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("wallpapers"), SetVariable("phoneSystem.phoneBG", "images/other/phone/phone_system_BG_sky.png")
    else:
        add "images/other/phone/wp_question2_idle.png"

    if wp_darci:
        imagebutton auto "images/Other/Phone/wp_darci_%s.png":
            focus_mask True
            action Show("phoneSys"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("wallpapers"), SetVariable("phoneSystem.phoneBG", "images/other/phone/phone_system_BG_dar.png")
    else:
        add "images/other/phone/wp_question3_idle.png"

    if wp_tiffany:
        imagebutton auto "images/Other/Phone/wp_tiffany_%s.png":
            focus_mask True
            action Show("phoneSys"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("wallpapers"), SetVariable("phoneSystem.phoneBG", "images/other/phone/phone_system_BG_tif.png")
    else:
        add "images/other/phone/wp_question4_idle.png"

    if wp_scarlett:
        imagebutton auto "images/Other/Phone/wp_scarlett_%s.png":
            focus_mask True
            action Show("phoneSys"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("wallpapers"), SetVariable("phoneSystem.phoneBG", "images/other/phone/phone_system_BG_scar.png")
    else:
        add "images/other/phone/wp_question5_idle.png"




    if wp_darci2:
        imagebutton auto "images/Other/Phone/wp_darci2_%s.png":
            focus_mask True
            action Show("phoneSys"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("wallpapers"), SetVariable("phoneSystem.phoneBG", "images/other/phone/phone_system_BG_dar2.png")
    else:
        add "images/other/phone/wp_question6_idle.png"




    if wp_alyssa:
        imagebutton auto "images/Other/Phone/wp_alyssa_%s.png":
            focus_mask True
            action Show("phoneSys"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("wallpapers"), SetVariable("phoneSystem.phoneBG", "images/other/phone/phone_system_BG_alys.png")
    else:
        add "images/other/phone/wp_question7_idle.png"





    if wp_tiffany2:
        imagebutton auto "images/Other/Phone/wp_tiffany2_%s.png":
            focus_mask True
            action Show("phoneSys"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("wallpapers"), SetVariable("phoneSystem.phoneBG", "images/other/phone/phone_system_BG_tif2.png")
    else:
        add "images/other/phone/wp_question8_idle.png"




    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("wallpapers"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneSys")



    imagebutton auto "images/Other/Phone/phone_page_%s.png":
        focus_mask True
        action Hide("wallpapers"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("wallpapers2")









screen wallpapers2():
    imagebutton:
        idle Null(1920,1080)
        focus_mask phoneSystem.focusMask
        action Return("wallpapers") at ib_fade
    modal True
    add "images/other/phone/phone_system_Wallpapers.png"



    if wp_shelby:
        imagebutton auto "images/Other/Phone/wp_shelby_%s.png":
            focus_mask True
            action Show("phoneSys"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("wallpapers"), SetVariable("phoneSystem.phoneBG", "images/other/phone/phone_system_BG_shel.png")
    else:
        add "images/other/phone/wp_question9_idle.png"



    if wp_daphne:
        imagebutton auto "images/Other/Phone/wp_daphne_%s.png":
            focus_mask True
            action Show("phoneSys"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("wallpapers"), SetVariable("phoneSystem.phoneBG", "images/other/phone/phone_system_BG_dap.png")
    else:
        add "images/other/phone/wp_question10_idle.png"


    if wp_riley:
        imagebutton auto "images/Other/Phone/wp_riley_%s.png":
            focus_mask True
            action Show("phoneSys"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("wallpapers"), SetVariable("phoneSystem.phoneBG", "images/other/phone/phone_system_BG_ril.png")
    else:
        add "images/other/phone/wp_question11_idle.png"


    if wp_jessica:
        imagebutton auto "images/Other/Phone/wp_jessica_%s.png":
            focus_mask True
            action Show("phoneSys"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("wallpapers"), SetVariable("phoneSystem.phoneBG", "images/other/phone/phone_system_BG_jes.png")
    else:
        add "images/other/phone/wp_question12_idle.png"


    if wp_skylar2:
        imagebutton auto "images/Other/Phone/wp_skylar2_%s.png":
            focus_mask True
            action Show("phoneSys"),Play("sound","audio/sounds/phone_unlock.mp3"), Hide("wallpapers"), SetVariable("phoneSystem.phoneBG", "images/other/phone/phone_system_BG_sky2.png")
    else:
        add "images/other/phone/wp_question13_idle.png"



    imagebutton auto "images/Other/Phone/phone_back_%s.png":
        focus_mask True
        action Hide("wallpapers2"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("phoneSys")



    imagebutton auto "images/Other/Phone/phone_page_%s.png":
        focus_mask True
        action Hide("wallpapers2"),Play("sound","audio/sounds/phone_unlock.mp3"), Show("wallpapers")
